Sync with portage [Thu Apr 27 09:06:04 MSK 2017].

mhiretskiy
root 7 years ago
parent db06372db7
commit 8ca577f2c6

@ -1,2 +1,3 @@
DIST filebeat-5.1.2.tar.gz 16512836 SHA256 7cd554f8be6b02290ebbc17c9820acde3dc59108672ced7a0cf5486faa3e23ce SHA512 f5ade54c3a2471680067fc5f6861ddcc052177c473f40d2135ba281e63172a4ba386368f77e5e4ba77b60c88ee20e5cd0095705aa3ed6e2588fda034de6b116f WHIRLPOOL 438119b4e5664ee0cff2a70b811ea4c247def4b15efdc1bcc243f157fe88669636c6465b93316adc2d774e5b4109856c54cc658bde2636393431b0f30a712f80
DIST filebeat-5.2.2.tar.gz 16489808 SHA256 45c89fab339de3d3e7f9a83c7a48312ede147d5989b67b8619d9128353c891c3 SHA512 7cf54eb0b27d830e51bf97964f078874eae62e1d9642fb598cdd2f0a405db4a74e1f299c5e57e29a67cfea209b9b3c7f38bdcbe6b2e2885285b77615236971c1 WHIRLPOOL 3a708a799b3360cee12a58d858bd51f474fb86c143c6648edd451d2862ce05ae0bc9544ceef62ddbf05bc50c439a7ee041faef70214ced3e53e16e8452a9f486
DIST filebeat-5.3.1.tar.gz 17594920 SHA256 392c647fd3a4fd40b70d911950f38c0fd65a3ad4bb8548fcd0afd77c01d31d9e SHA512 add9b899886e1d36632e6509ab6abb312bcd58f8545aa4368a4d19e6c9267b3a50fd6f5ebd431edf679a1d4583af1991b362ce87720dcf90d9990ee968769d05 WHIRLPOOL 221027a801e99e008fbe5995d187cd9318180c535ed80a7f48c7befd4c84a168ed1a7666a1ec2bb6f06784f330fde8bb12a4f02141f0bb90cefddb8c6fb5db58

@ -0,0 +1,69 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="Lightweight log shipper for Logstash and Elasticsearch"
HOMEPAGE="https://www.elastic.co/products/beats"
SRC_URI="https://github.com/elastic/beats/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
DEPEND=">=dev-lang/go-1.7.1"
RDEPEND="!app-admin/filebeat-bin"
ELASTIC="${WORKDIR}/src/github.com/elastic"
BEATS="${ELASTIC}/beats"
S="${BEATS}"
src_unpack() {
mkdir -p "${ELASTIC}" || die
unpack ${P}.tar.gz
mv beats-${PV} "${BEATS}" || die
}
src_compile() {
cd ${BEATS}/filebeat || die
GOPATH="${WORKDIR}" emake
}
src_test() {
cd ${BEATS}/filebeat || die
GOPATH="${WORKDIR}" emake check
}
src_install() {
keepdir /var/{lib,log}/${PN}
fperms 0750 /var/{lib,log}/${PN}
newconfd "${FILESDIR}/${PN}.confd" ${PN}
newinitd "${FILESDIR}/${PN}.initd" ${PN}
insinto "/usr/share/doc/${PF}/examples"
doins ${PN}/{filebeat.yml,filebeat.full.yml}
insinto "/etc/${PN}"
doins ${PN}/{filebeat.template.json,filebeat.template-es2x.json}
exeinto "/usr/share/${PN}"
doexe libbeat/scripts/migrate_beat_config_1_x_to_5_0.py
dobin filebeat/filebeat
}
pkg_postinst() {
if [[ -n "${REPLACING_VERSIONS}" ]]; then
elog "Please read the migration guide at:"
elog "https://www.elastic.co/guide/en/beats/libbeat/5.0/upgrading.html"
elog ""
elog "The migration script:"
elog "${EROOT%/}/usr/share/filebeat/migrate_beat_config_1_x_to_5_0.py"
elog ""
fi
elog "Example configurations:"
elog "${EROOT%/}/usr/share/doc/${PF}/examples"
}

@ -1,2 +1,2 @@
DIST lnav-0.7.1.tar.gz 460627 SHA256 4068ad4b45651146a5568c7bbb0585e35f62fdfa7dd983c0047fceee4bb49fb3 SHA512 3732b1df2b87ac30090b4e4f183d65beba5d074d071cd67ef6acdd9614951001548cd07b0e373158a1365989b1f2767c82225730b9c3ff09f7d56b1e4bcfd708 WHIRLPOOL fd88de5085829f3e36efa4a80734030eb8483b36e2133c9845fcc0472dab878e276ea393f732872c6ee6d03e7a2d3c9a30f500b2991d7d7d89631d0ff016d464
DIST lnav-0.8.1.tar.gz 616105 SHA256 db942abccdb5327d7594ca9e32e0b44802790fad8577bdbed44f81220fd62153 SHA512 b3514834f42ed647f40c501ad22b68a52755b0c8a558d29305c357b39e598c1386ec9e37d71e8b7e2b5833df41e5f7f398b50b84611d3e6accfb2feb2cdba952 WHIRLPOOL 41f732389bd7d2e5c2edcf6feacdfa2b3cd001d6f59eaa2357be7cf1457448a7430b9829ba324bbfbd961189a8b431ff0e96d2756d88803efe9f89fbdc8f6e8b
DIST lnav-0.8.2.tar.gz 693219 SHA256 0f6a235aa3719f84067d510127730f5834a8874795494c9292c2f0de43db8c70 SHA512 75c7014e013567e9a0ee78e28a6648d756de7cba3c103b10ddb974c61066db3a1c2efbd14636cb3729bd7c6a4ab534d1999d44e127b8a6728d12bd5be23f30c4 WHIRLPOOL b464e3b00beec18979f40b6790215c1923b65d8e57abdd81affca91afd99ac6371ac814048fd2a09487f663ff894f8ae20cdddb08ba53d7aba9990b0c7d9f0b2

@ -1,7 +1,7 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit toolchain-funcs
@ -18,17 +18,16 @@ RDEPEND="
app-arch/bzip2
dev-db/sqlite:3
dev-libs/libpcre[cxx]
sys-libs/ncurses[unicode?]
sys-libs/readline:0
>=net-misc/curl-7.23.0
sys-libs/ncurses:0=[unicode?]
sys-libs/readline:0=
sys-libs/zlib"
DEPEND="${RDEPEND}"
DOCS=( AUTHORS NEWS README )
src_configure() {
econf \
--disable-static \
$(use_with unicode ncursesw)
}
src_compile() {
emake AR="$(tc-getAR)"
}

@ -1,2 +1,3 @@
DIST logstash-5.1.2.zip 100044055 SHA256 99fd514b6241310c78aefca2cd895c1cec4cd426aa08fccf7e8bba26567573c3 SHA512 4186f942dd555dc1284bc657cbd3a61de8aa67a50bd2f7b725d3364e5fca61029cadb0ca4f9e1c4a36078805fd015128ddcd7773e19e643eaddd5ae2fa9c6673 WHIRLPOOL 1127a419a35e42de59a4bd61fe5b75e39daad69d0646019417abf83f44639a86fd2b1ffc687b6cc551562045ef3d2d901d7985437d158094d4d054e4a93bfd5d
DIST logstash-5.2.2.zip 100068713 SHA256 35bd0378f5b9001b4c3056b11496936ef47c09e3ddc469353bc8951e3b81e174 SHA512 923b35e8bcc97f6036cd4a484df546b2cc1341ec8fe5080bea8f979856086aaaae5f71fa0c3f7aee2207f7c3e71aec18af416278123362f89990c05ec9e2c92f WHIRLPOOL 4a67ed0ba3b532da5d488b2e45f53149b4e63b6b638b6fe1058a13eab904cb7ec24cd87306868a4770fe6aadfe13f7d76bfc9973e73104a8e4e9aee455321c32
DIST logstash-5.3.1.zip 100150030 SHA256 f5e626a8cfe128b7ebaa0ec8ddc20876913852efd91c2c81a1f19f2223e00e07 SHA512 7897eab56bc33ee38169ad34e600cdf7180d0af30f93811f1ecf30a107944cd7a5ab2e95805695da7c1ce6f2112424c17de3b3bd9efaf344daff4e227d5e3d90 WHIRLPOOL 12383a43c372a2eef31b0a64e1b14f304ea90f7202524f6d56b7f0f51fcefd029f45b7f2782050d3c89269e41ae96c02e78586db30bb5d509f45b19508c36be3

@ -0,0 +1,56 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit user
MY_PN="${PN%-bin}"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Tool for managing events and logs"
HOMEPAGE="https://www.elastic.co/products/logstash"
SRC_URI="https://artifacts.elastic.co/downloads/${MY_PN}/${MY_P}.zip"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="strip"
QA_PREBUILT="opt/logstash/vendor/jruby/lib/jni/*/libjffi*.so"
RDEPEND="virtual/jre:1.8"
S="${WORKDIR}/${MY_P}"
pkg_setup() {
enewgroup ${MY_PN}
enewuser ${MY_PN} -1 -1 /var/lib/${MY_PN} ${MY_PN}
}
src_install() {
keepdir /etc/"${MY_PN}"/{conf.d,patterns,plugins}
keepdir "/var/log/${MY_PN}"
insinto "/usr/share/${MY_PN}"
newins "${FILESDIR}/agent.conf.sample" agent.conf
insinto "/opt/${MY_PN}"
doins -r .
fperms 0755 "/opt/${MY_PN}/bin/${MY_PN}" "/opt/${MY_PN}/vendor/jruby/bin/jruby" "/opt/${MY_PN}/bin/logstash-plugin"
insinto /etc/logrotate.d
newins "${FILESDIR}/${MY_PN}.logrotate" "${MY_PN}"
newconfd "${FILESDIR}/${MY_PN}.confd" "${MY_PN}"
newinitd "${FILESDIR}/${MY_PN}.initd" "${MY_PN}"
}
pkg_postinst() {
ewarn "The default user changed from root to ${MY_PN}. If you wish to run as root (for"
ewarn "example to read local logs), be sure to change LS_USER and LS_GROUP in"
ewarn "${EROOT%/}/etc/conf.d/${MY_PN}"
einfo
einfo "Installing plugins: (bug #601294)"
einfo "DEBUG=1 JARS_SKIP='true' bin/logstash-plugin install logstash-output-gelf"
}

@ -1,7 +1,4 @@
DIST mongo-tools-3.0.10.tar.gz 2185555 SHA256 2bd5c984ca8b745b33aeb1e1a8118acd675bc5a408845eb3bb0b70c4fa680d71 SHA512 36d57150f4fb331149a2a7cbcde54253316cf3c5bc8ab195584c057c35b30d5acfabcafa25d314d378388254ac5a0ce75d0d8867e344fb7006593319ce9d028c WHIRLPOOL a6961a1fccb7ba353616fe4bfbe182c6a076f13c23492f4d06d274a0ff4d3f09a811413f77a2353b20801462b3a72f74073e38b8b1b4f4e3abf0026774dbcea2
DIST mongo-tools-3.0.14.tar.gz 2413148 SHA256 5a3f706827a9567fc98e2b64a33a2071c68c89090c6f135a508cb4e615051db1 SHA512 0e77417b2c36080515a2ff611427cb18f6d6c2432159c2a09af8d6ff14ae7f25ecbfe0a6631eeb7de084fdfe517a09364d731f5b63923404b6319fc1ca44b840 WHIRLPOOL 615153e87ea0b3cfd837066f850f92e7ea9c533e09bf6e3f4231ff489ac21a5a52a4afe06c827304e9340f9e8172714dae969c65cdd7215939a35c7026d60d98
DIST mongo-tools-3.2.11.tar.gz 2712014 SHA256 992e9fb94df6bed49e68684afee096f1193dc9cfca8ce8bcc4c912996bba365c SHA512 a6e2dd8dd567f04205e57be2983f5f0ddf2c4aca915f5ffaa777d17b94f62e0f106eb9bad93213d25f60c3949d47f4d91cdf767744e8094278e8ecf3546dfae5 WHIRLPOOL 6d75a9b0e6cd4271f8c6571dd280adafc7ff1bb60f973a037c78b39df0981d6c35f1a38309a8d96300f45053054c4454f22ce75aea2d62da6db06a2b1adcf90d
DIST mongo-tools-3.2.12.tar.gz 2712079 SHA256 cda5e869b9233d591e91cac0b4c709a2e71dcabd9ac6bcc8b33d906ce3b13afd SHA512 66f7beb85a83ad6a217e65bba97ace6ad0bf84688f40e598e5fb1cf4bbe481b4069e1247d6829f8d06c8230d33c3e0c8bd8465a975576cad584065c361b6fb72 WHIRLPOOL 46123dc3c97fdf20ff94ac373e774932bd30aca677047fe3366653aaab269bf6d7e59cb420cf1e5716558fa959cb3649ee359cc27932bac276e6d24d2eea43b1
DIST mongo-tools-3.4.1.tar.gz 4700560 SHA256 283d729442fca7a331ca475e234b0880ec7c4339597e0a8e271ca7e153b45439 SHA512 bd5862b220bc9d77d938b87b1e2c974d0088239c51cd091b5e4d578d774e28aa6b25ab18936c9f388fd1ed3caeca264225c14cd5a85e749c3c3e148ca073a990 WHIRLPOOL 2b5ba4e2c91372e5cec355d0e6d651d4fd3de7b3d72839e855e099c75a9ffec172b43caff82d2cf7371fd3c7ac1ca1e71fc303eff75cd2e5afc352fbbf4dba42
DIST mongo-tools-3.4.2.tar.gz 4700591 SHA256 3679576153ab1a9e1a7fe9811cb6d7c32c6d9320f07be9a94d064d6904618b5a SHA512 5ad4b5421acb10010f72f6b9f8342c095c4f571ac3cb9dc3db78251262f8285a4e2bddbeed3ad26c64f36d5b33ed7f43a759c74e00d2878c0ac6a71069508a2f WHIRLPOOL 208bd7116e1a7be2854f81df95d418667d50166d91522e14fdfa4e1f0b1ce007966fc5b0b1367f3be2c273fa7abbbfe04cb6e970a5010d44ac8542dc1bbd3424
DIST mongo-tools-3.4.3.tar.gz 4700637 SHA256 70348800ca4cc04a319ca414291d5359e7dc86c888bc8264045fbc4de00adab2 SHA512 ec754e8b19c517d9603e0eb89cc315e0af53886b74a905c0742faf5369af8b87b84cedf57aaa25f93068cd21370fa8a274a97dc3c58bbb4a50db6c2e4f0109d9 WHIRLPOOL 0b85fcdb52d5f08624bbcedb96d66c8a519e6415b9aefe68e7957627f3f1e220ca1174ea0a037f53ef2de0e594793ab42d6ec7db9cb42aa09b1892500dac5dd5
DIST mongo-tools-3.4.4.tar.gz 4700326 SHA256 d14f4ce153aec373459c802e5a159661ccfde4e5df39d8d750586bae54896cdd SHA512 d49243e41bf3144264add3766a6f7016a07509a583a7368a639d85d2305500dd5afcfbc4449f3dcc8bec6e88bfb76ce021c813fe14169e3bd2476ed0db7c2d5d WHIRLPOOL 33cb527ce7df19e92871219aef9b38f16ae292a4d1cbdd7bb3a1c6ccc752687469b9e4309cc4fd540a65e623740e1ebe20f4bdf8629b50aab25d4ea84c2988cc

@ -1,52 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils
MY_PV=${PV/_rc/-rc}
MY_P=${PN}-r${MY_PV}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> mongo-tools-${MY_PV}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="sasl ssl"
# Maintainer note:
# openssl DEPEND constraint, see:
# https://github.com/mongodb/mongo-tools/issues/11
RDEPEND="!<dev-db/mongodb-3.0.0"
DEPEND="${RDEPEND}
dev-lang/go:=
sasl? ( dev-libs/cyrus-sasl )
ssl? ( dev-libs/openssl )"
S=${WORKDIR}/${MY_P}
src_prepare() {
epatch "${FILESDIR}/${PN}-3.0.0-build.patch"
}
src_compile() {
local myconf
if use sasl; then
myconf="${myconf} sasl"
fi
if use ssl; then
myconf="${myconf} ssl"
fi
./build.sh ${myconf}
}
src_install() {
dobin bin/*
}

@ -1,57 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils
MY_PV=${PV/_rc/-rc}
MY_P=${PN}-r${MY_PV}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> mongo-tools-${MY_PV}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="sasl ssl"
# Maintainer note:
# openssl DEPEND constraint, see:
# https://github.com/mongodb/mongo-tools/issues/11
RDEPEND="!<dev-db/mongodb-3.0.0"
DEPEND="${RDEPEND}
dev-lang/go:=
sasl? ( dev-libs/cyrus-sasl )
ssl? ( dev-libs/openssl )"
S=${WORKDIR}/${MY_P}
src_prepare() {
sed -e 's|go build .*|go build -o "bin/$i" -tags "$tags" "$i/main/$i.go"|g' -i build.sh || die
# ensure we use bash wrt #582906
sed -e 's@/bin/sh@/bin/bash@g' -i build.sh || die
epatch "${FILESDIR}/${PN}-3.2.10-pie.patch"
}
src_compile() {
local myconf
if use sasl; then
myconf="${myconf} sasl"
fi
if use ssl; then
myconf="${myconf} ssl"
fi
./build.sh ${myconf} || die "build failed"
}
src_install() {
dobin bin/*
}

@ -1,57 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit eutils
MY_PV=${PV/_rc/-rc}
MY_P=${PN}-r${MY_PV}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> mongo-tools-${MY_PV}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="sasl ssl"
# Maintainer note:
# openssl DEPEND constraint, see:
# https://github.com/mongodb/mongo-tools/issues/11
RDEPEND="!<dev-db/mongodb-3.0.0"
DEPEND="${RDEPEND}
dev-lang/go:=
sasl? ( dev-libs/cyrus-sasl )
ssl? ( dev-libs/openssl )"
S=${WORKDIR}/${MY_P}
src_prepare() {
sed -e 's|go build .*|go build -o "bin/$i" -tags "$tags" "$i/main/$i.go"|g' -i build.sh || die
# ensure we use bash wrt #582906
sed -e 's@/bin/sh@/bin/bash@g' -i build.sh || die
epatch "${FILESDIR}/${PN}-3.2.10-pie.patch"
}
src_compile() {
local myconf
if use sasl; then
myconf="${myconf} sasl"
fi
if use ssl; then
myconf="${myconf} ssl"
fi
./build.sh ${myconf} || die "build failed"
}
src_install() {
dobin bin/*
}

@ -1 +1,2 @@
DIST burp-1.4.40.tar.bz2 712937 SHA256 4108eb45e14740de990d918a2adbb661d88f90de48d6e2e3a6b54fd12b16fa5e SHA512 b44ba3a63d3b75f6fee55bbfef70ac07fa87e78ddb22a398e31a86670dfa3f2db1c9dbc58de3d0038cdc409bd5ae52c8e901cb26975fd7dbe0f773c4841af10c WHIRLPOOL 636120b3fa2d4a3217567177f3c8abbdeb562d298043fd6bd685842287964d835f2a369e36db0bc32ce908ce8f96e4e2677569e6ca4bac80f8d9958a2364a62d
DIST burp-2.0.54.tar.gz 558845 SHA256 26130da9791c57b1e194973ef1ea292dec57468bf4291a4d0eae880d192c1fd1 SHA512 dccc4d3679dd759028cd6b71d09ae4e49a511e5d94b4df2f112ad974abb507bbc8fffaf63ef85c847b0f9363b20a9e817179ab556c5a788acacb7a25e7600fa4 WHIRLPOOL 60e9bec56c08bc7ebc4700824eab34cf8cefdc5871140471eec5e05dbff4f4b83c2f7c6d5554d33dbb918f46e2c60159ba99a5da599938acd40b9d5b7b582978

@ -0,0 +1,109 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools systemd tmpfiles user versionator
DESCRIPTION="Network backup and restore client and server for Unix and Windows"
HOMEPAGE="http://burp.grke.org/"
SRC_URI="https://github.com/grke/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="acl ipv6 libressl test xattr"
CDEPEND="dev-libs/uthash
net-libs/librsync
sys-libs/ncurses:0=
sys-libs/zlib
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
acl? ( sys-apps/acl )
xattr? ( sys-apps/attr )"
DEPEND="${CDEPEND}
test? ( dev-libs/check )"
RDEPEND="${CDEPEND}
virtual/logger"
PATCHES=(
"${FILESDIR}"/${PN}-2.0.54-no_mkdir_run.patch
"${FILESDIR}"/${PN}-2.0.54-protocol1_by_default.patch
"${FILESDIR}"/${PN}-2.0.54-server_user.patch
)
pkg_setup() {
enewgroup "${PN}"
enewuser "${PN}" -1 "" "" "${PN}"
}
src_prepare() {
default
eautoreconf
}
src_configure() {
local myeconfargs=(
--localstatedir=/var
--sysconfdir=/etc/burp
--enable-largefile
$(use_enable acl)
$(use_enable ipv6)
$(use_enable xattr)
)
# --runstatedir option will only work from autoconf-2.70 onwards
runstatedir='/run/burp' \
econf "${myeconfargs[@]}"
}
src_install() {
default
fowners -R root:${PN} /var/spool/burp
fperms 0770 /var/spool/burp
emake DESTDIR="${D}" install-configs
fowners -R root:${PN} /etc/burp
fperms 0775 /etc/burp
fperms 0640 /etc/burp/burp-server.conf
fperms 0750 /etc/burp/clientconfdir
newinitd "${FILESDIR}"/${PN}2.initd ${PN}
systemd_dounit "${FILESDIR}"/${PN}.service
newtmpfiles "${FILESDIR}"/${PN}.tmpfiles ${PN}.conf
}
pkg_postinst() {
elog "Burp ebuilds now support the autoupgrade mechanism in both"
elog "client and server mode. In both cases it is disabled by"
elog "default. You almost certainly do NOT want to enable it in"
elog "client mode because upgrades obtained this way will not be"
elog "managed by Portage."
if [[ ! -e /etc/burp/CA/index.txt ]]; then
elog ""
elog "At first run burp server will generate DH parameters and SSL"
elog "certificates. You should adjust configuration before."
elog "Server configuration is located at"
elog ""
elog " /etc/burp/burp-server.conf"
elog ""
fi
# According to PMS this can be a space-separated list of version
# numbers, even though in practice it is typically just one.
for oldver in ${REPLACING_VERSIONS}; do
if [[ $(get_major_version ${oldver}) -lt 2 ]]; then
ewarn "Starting with version 2.0.54 we no longer patch bedup to use"
ewarn "the server config file by default. If you use bedup, please"
ewarn "update your scripts to invoke it as"
ewarn ""
ewarn " bedup -c /etc/burp/burp-server.conf"
ewarn ""
ewarn "Otherwise deduplication will not work!"
break
fi
done
}

@ -0,0 +1,10 @@
--- a/Makefile.am
+++ b/Makefile.am
@@ -405,7 +405,6 @@
install-data-local:
$(AM_V_at)$(MKDIR_P) $(DESTDIR)$(localstatedir)/spool/burp
- $(AM_V_at)$(MKDIR_P) $(DESTDIR)$(runstatedir)
clean-local: clean-local-check

@ -0,0 +1,24 @@
--- a/configs/client/burp.conf.in
+++ b/configs/client/burp.conf.in
@@ -10,7 +10,8 @@
# 0 to decide automatically, 1 to force protocol1 mode (file level granularity
# with a pseudo mirrored storage on the server and optional rsync). 2 forces
# protocol2 mode (inline deduplication with variable length blocks).
-# protocol = 0
+# WARNING: as of April 2017 protocol2 is still considered experimental.
+protocol = 1
pidfile = @runstatedir@/burp.client.pid
syslog = 0
stdout = 1
--- a/configs/server/burp.conf.in
+++ b/configs/server/burp.conf.in
@@ -21,7 +21,8 @@
# protocol2 mode (inline deduplication with variable length blocks).
# Like many other settings, this can be set per client in the clientconfdir
# files.
-# protocol = 0
+# WARNING: as of April 2017 protocol2 is still considered experimental.
+protocol = 1
pidfile = @runstatedir@/burp.server.pid
hardlinked_archive = 0
working_dir_recovery_method = delete

@ -0,0 +1,13 @@
--- a/configs/server/burp.conf.in
+++ b/configs/server/burp.conf.in
@@ -68,8 +68,8 @@
# keep = 6
# Run as different user/group.
-# user=graham
-# group=nogroup
+user=burp
+group=burp
# CA options.
# If you want your server to be a certificate authority and generate its own

@ -0,0 +1,11 @@
[Unit]
Description=BackUp and Restore Program server
After=network.target
[Service]
Type=simple
PIDFile=/run/burp/burp.server.pid
ExecStart=/usr/sbin/burp -F -c /etc/burp/burp-server.conf
[Install]
WantedBy=multi-user.target

@ -0,0 +1 @@
d /run/burp 0755 burp burp -

@ -0,0 +1,45 @@
#!/sbin/openrc-run
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
BURP_CONFIG="/etc/burp/burp-server.conf"
description="Burp is a network backup and restore program"
command="/usr/sbin/burp"
command_args="-c '${BURP_CONFIG}' -F"
command_background="yes"
pidfile="/run/burp/burp.server.pid"
start_stop_daemon_arg="--make-pidfile --wait 500"
extra_started_commands="reload summary"
description_reload="Reloads configuration"
description_summary="Displays main status monitor summary"
get_backup_dir() {
grep '^directory = ' "${BURP_CONFIG}" \
| sed -e 's/^directory = //'
}
depend() {
need localmount
after bootmisc
use net
}
start_pre() {
checkpath -o root:burp -m 0775 -d /etc/burp
checkpath -o root:burp -m 0640 -f /etc/burp/burp-server.conf
checkpath -o root:burp -m 0750 -d /etc/burp/clientconfdir
checkpath -o root:burp -m 0770 -d "$(get_backup_dir)"
}
reload() {
ebegin "Reloading ${SVCNAME} configuration"
start-stop-daemon --exec ${command} --signal HUP
eend $?
}
summary() {
"${command}" -c "${BURP_CONFIG}" -a S
}

@ -12,6 +12,7 @@
snapshots when backing up Windows computers.
</longdescription>
<upstream>
<remote-id type="github">grke/burp</remote-id>
<remote-id type="sourceforge">burp</remote-id>
</upstream>
</pkgmetadata>

@ -1,2 +1,3 @@
DIST WordNet-3.0.tar.gz 11537227 SHA256 b4d8b1feeb22defe686cf1c5062d723bd854997614da9547fa135e5137843531 SHA512 d39c008cec41de8f1b2aeacb4ad818f9997a13b30a992fda100b6dcc9c11c253530b00a1909b55ff7b564bafc33f7763c1ce9b0a6ae3e591695db2083e9ead7a WHIRLPOOL cfba84209b4366b1ab381957f82cc2a32039d073baf8fbd44252c829c9291be76f05b214e014157f3ec03a354aaec68a14e20103dde37d11f13b846056aa90f4
DIST wn3.1.dict.tar.gz 16358468 SHA256 3f7d8be8ef6ecc7167d39b10d66954ec734280b5bdcd57f7d9eafe429d11c22a SHA512 16dca17a87026d8a0b7b4758219cd21a869c3ef3da23ce7875924546f2eacac4c2f376cb271b798b2c458fe8c078fb43d681356e3d9beef40f4bd88d3579394f WHIRLPOOL 67b1dd7cfc0df9957d2dedf405dea72ef2aeffb0e696778d88550405070aad11ae59d4cf8f1063f9d828edd88f6032e6e07c351be546e672b44df4a063305997
DIST wordnet-3.0-patchset-1.tar.bz2 8076 SHA256 d8333b107f53e188981e9ec0e1e53890c8bd7155924ae140c777c3f443d8aba7 SHA512 17668d736dd6dfe83e4d5d328729cbcdfb4dbca9a9707651534169bd2ce6fc2238d5c820d63330c51c20ab9b2964b56a609f58242b05dabbcfdfc0da61c048cb WHIRLPOOL 30e3820c2679148206bc14d5acf8eb7a2bde422f13ce2e9b0a90145e510667d70b1c1ef5d3486c85eddf6492c72b2243672683164f917f8ff5910370e30bd0f8

@ -1,5 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>chocopuff298+gentoo@gmail.com</email>
<name>Ethan Kiang</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,94 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools eutils flag-o-matic
DESCRIPTION="A lexical database for the English language"
HOMEPAGE="http://wordnet.princeton.edu/"
SRC_URI="
http://wordnetcode.princeton.edu/3.0/WordNet-3.0.tar.gz
mirror://gentoo/${PN}-3.0-patchset-1.tar.bz2
http://wordnetcode.princeton.edu/wn3.1.dict.tar.gz"
LICENSE="Princeton"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
IUSE="doc"
# In contrast to what the configure script seems to imply, Tcl/Tk is NOT
# optional. cf. bug 163478 for details. (Yes, it's about 2.1 but it's
# still the same here.)
DEPEND="
dev-lang/tcl:0=
dev-lang/tk:0="
RDEPEND="${DEPEND}"
S="${WORKDIR}/WordNet-3.0"
PATCHES1=(
# Don't install into PREFIX/dict but PREFIX/share/wordnet/dict
"${WORKDIR}/"${PN}-3.0"-dict-location.patch"
# Fixes bug 130024, make an additional shared lib
"${WORKDIR}/"${PN}-3.0"-shared-lib.patch"
# Don't install the docs directly into PREFIX/doc but PREFIX/doc/PN
"${WORKDIR}/"${PN}-3.0"-docs-path.patch"
"${WORKDIR}"/"${PN}-3.0"-CVE-2008-3908.patch #211491
"${FILESDIR}"/"${PN}-3.0"-tcl8.6.patch
"${FILESDIR}"/"${PN}-3.0"-format-security.patch
"${FILESDIR}"/"${PN}-3.0"-src_stubs_c.patch
"${FILESDIR}"/"${PN}-3.0"-fix-indexing-bug-314799.patch
)
PATCHES0=(
"${WORKDIR}"/"${PN}-3.0"-CVE-2008-2149.patch #211491
)
src_prepare() {
eapply -p1 "${PATCHES1[@]}"
eapply -p0 "${PATCHES0[@]}"
eapply_user
# Don't install all the extra docs (html, pdf, ps) without doc USE flag.
if ! use doc; then
sed -i -e "s:SUBDIRS =.*:SUBDIRS = man:" doc/Makefile.am || die
fi
# Drop installation of OLD tk.h headers #255590
sed '/^SUBDIRS/d' -i include/Makefile.am || die
sed 's: include/tk/Makefile::' -i configure.ac || die
eautoreconf
}
src_configure() {
append-cppflags -DUNIX -I"${T}"/usr/include
PLATFORM=linux WN_ROOT="${T}/usr" \
WN_DICTDIR="${T}/usr/share/wordnet/dict" \
WN_MANDIR="${T}/usr/share/man" \
WN_DOCDIR="${T}/usr/share/doc/wordnet-3.0" \
WNHOME="${EPREFIX}/usr/share/wordnet" \
econf \
--with-tcl="${EPREFIX}"/usr/$(get_libdir) \
--with-tk="${EPREFIX}"/usr/$(get_libdir)
}
src_compile(){
emake -e || die "emake failed"
}
src_install(){
# For clarification, WN is still on version 3.0. Only the database files
# have been updated to 3.1 as a package for 3.1 does not currently exist.
emake -e DESTDIR="${D}" install
einstalldocs
rm -r "${D}/usr/share/wordnet/dict" || die
mv "${WORKDIR}/dict" "${D}/usr/share/wordnet" || die
}
pkg_postinst(){
elog "The WordNet 3.1 ebuild has installed WordNet v3.0 with v3.1 database files instead."
elog "See http://wordnet.princeton.edu/wordnet/download/current-version/ for more."
}

@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/empty/${P}.tgz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
DEPEND=""
RDEPEND="virtual/logger"

@ -1,9 +1,9 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
EAPI=6
inherit eutils toolchain-funcs
inherit toolchain-funcs
DESCRIPTION="Geek code generator"
HOMEPAGE="https://sourceforge.net/projects/geekcode"
@ -12,19 +12,19 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm ~mips ppc ppc64 x86 ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x86-macos"
IUSE=""
src_prepare() {
epatch "${FILESDIR}"/${P}-exit.patch
eapply -p0 "${FILESDIR}/${P}-exit.patch"
sed -i Makefile -e 's| -o | ${LDFLAGS}&|g' || die "sed Makefile"
eapply_user
}
src_compile() {
emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
CC="$(tc-getCC)" || die "emake failed"
emake CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" CC="$(tc-getCC)"
}
src_install() {
dobin geekcode || die
dobin geekcode
dodoc CHANGES README geekcode.txt
}

@ -1,3 +1,4 @@
DIST xapian-omega-1.2.22.tar.xz 437556 SHA256 a7d4b00f6830d003490c0f727fc03584e703cd6e96738e03930f135cd966381b SHA512 c90ef3658cfb7f0337aa946ad04a7173d0aa89e5179c8b9edbfd78156c11d93d6a9ef6055142d26ecd95af8b0cbdf3b061e505c75f37f5e1e3b2ffc272fbaa3b WHIRLPOOL fa500c681fe1c8b82c3d469183ce987b38cd91f110ed1cd7b4e5372525a503c28e310abb15afc31892f2fa4fbd8e74bce07c1b618996541500b3f8d114b06920
DIST xapian-omega-1.2.24.tar.xz 438104 SHA256 45fca431b812ddacbd592b522389474317af386b3ab554908edd36fc5918da53 SHA512 df483ed1410ca04df3b1ec4248442c91b03bd407737d022e494ffe3e14d62a41ee73b27114a979f59825e0ea2f2d16e0eea3c518a8db0094d697f0093e21f6a7 WHIRLPOOL af7a01659a48cf63a63dfe231cd39bc9d1dabb4e3e097262d21b73d3b99145ba3fe348c3126103dc3c91f4b9a2a1a61c1a4a80b0a0830580bcdf1b5a0cd8c393
DIST xapian-omega-1.4.3.tar.xz 498856 SHA256 2eea0344a0703ba379d845b86d08a9c2e9faf0deb21834d9ea6939b712c6216e SHA512 4d74a45e868eccbe18e5d4230b85c1a1f67fa9847b97cb7c367ece5f1a4e054fdfbdfbbe7600e0598253f022089be06bdca3d15f1655335c0985794b5ba9f040 WHIRLPOOL c380a6406c7a117bada21aaf85a6340cf62102bec28b370a8ad7b7b6d599db444728507edb483e55bea2526c724a8aae35f179632601e77b457c4a3ed87acbaa
DIST xapian-omega-1.4.4.tar.xz 501712 SHA256 14dd790b94b828b457120439886bb5de59ccb5d7a8cefcdcf47daba5817e895e SHA512 927c6afe24f8a13018fcc233e874c71c0912cb6200094f7246c12b4175bc48d752312e57128a314e7674a948a50ef092dd7f2dc8910db7df8f3ccf9c44f38533 WHIRLPOOL ef061913e5997bab155979e75ffe3ada19384f58e2c75c8cd5957bfae0eada5b8f110b79f63e45b28499222395500d923828c43e3890e11bc248689e43d8ae85

@ -0,0 +1,42 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
DESCRIPTION="An application built on Xapian, consisting of indexers and a CGI search frontend"
SRC_URI="http://www.oligarchy.co.uk/xapian/${PV}/xapian-omega-${PV}.tar.xz"
HOMEPAGE="http://www.xapian.org/"
S="${WORKDIR}/xapian-omega-${PV}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~mips ~ppc ~ppc64 ~x86"
IUSE=""
DEPEND="dev-libs/xapian:0/30
dev-lang/perl
dev-libs/libpcre
sys-libs/zlib"
RDEPEND="${DEPEND}"
src_install () {
emake DESTDIR="${D}" install
# Protect /etc/omega.conf
echo "CONFIG_PROTECT=\"/etc/omega.conf\"" > "${T}"/20xapian-omega
doenvd "${T}"/20xapian-omega
dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
# Directory containing Xapian databases:
keepdir /var/lib/omega/data
# Directory containing OmegaScript templates:
keepdir /var/lib/omega/templates
mv "${S}"/templates/* "${D}"/var/lib/omega/templates || die
# Directory to write Omega logs to:
keepdir /var/log/omega
# Directory containing any cdb files for the $lookup OmegaScript command:
keepdir /var/lib/omega/cdb
}

@ -0,0 +1 @@
DIST aunit-gpl-2016-src.tar.gz 393489 SHA256 ba1b86b853daef98190a7dfc9858aedcd4cc85219b310356c02348f32dcc77cf SHA512 94721f04ff721bbb572ede3fe7b8b61f9682ecaec8076eec3a0a27a41d9bab86248921671b7e63656f473f8d4ddb3a44ecdfb19f479073cf2ae378d62dc68190 WHIRLPOOL fae3579197384972872966b16022e0248d23d207a55af63c6e9daf94ba152a403fa2164a7d9b81fb3ba1214583f2b5506acd87708ffb16f7ef4c66d1f14a3e13

@ -0,0 +1,39 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit multiprocessing
MYP=${PN}-gpl-${PV}-src
DESCRIPTION="Ada unit testing framework"
HOMEPAGE="http://libre.adacore.com/tools/aunit/"
SRC_URI="http://mirrors.cdn.adacore.com/art/573990c6c7a447658d00e1cb -> ${MYP}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
RDEPEND="dev-lang/gnat-gpl"
DEPEND="${RDEPEND}
dev-ada/gprbuild"
S="${WORKDIR}"/${MYP}
PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
src_compile() {
emake GPRBUILD="gprbuild -j$(makeopts_jobs)"
}
src_install() {
emake INSTALL="${D}"usr install
einstalldocs
mv "${D}"usr/share/doc/${PN}/* "${D}"usr/share/doc/${PF}/ || die
rmdir "${D}"usr/share/doc/${PN} || die
mv "${D}"usr/share/examples/${PN} "${D}"usr/share/doc/${PF}/examples || die
rmdir "${D}"usr/share/examples || die
dodoc features-* known-problems-*
}

@ -0,0 +1,11 @@
--- aunit-3.8.0w-src/Makefile.old 2017-01-04 18:13:29.634899987 +0100
+++ aunit-3.8.0w-src/Makefile 2017-01-04 18:15:59.013219503 +0100
@@ -29,7 +29,7 @@
.PHONY: all clean targets install_clean install
all:
- $(GPRBUILD) -p $(GPROPTS) lib/gnat/aunit.gpr
+ $(GPRBUILD) -p $(GPROPTS) lib/gnat/aunit.gpr -cargs $(ADAFLAGS)
clean-lib:
$(RM) -fr lib/aunit lib/aunit-obj

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>tupone@gentoo.org</email>
<name>Tupone Alfredo</name>
</maintainer>
<longdescription lang="en">
AUnit is a set of Ada packages based on the xUnit family of unit test frameworks. Its intended as a developers tool to facilitate confident writing and evolution of Ada software. It is purposely lightweight, as one of its main goals is to make it easy to develop and run unit tests, rather than to generate artifacts for process management. The framework supports easy composition of sets of unit tests to provide flexibility in determining what tests to run for a given purpose.
</longdescription>
</pkgmetadata>

@ -3,4 +3,5 @@ DIST Catch-1.5.7.tar.gz 312824 SHA256 9acabf466e64ef2d477d4ce8d16610db3556a58b15
DIST Catch-1.5.8.tar.gz 312892 SHA256 08761b1930b37118b568838fd40eb6d113063c35ca8a37128298edd5559403a7 SHA512 18553b877ea6cbb48255f48bf025efc02dbc26f7895bf8f68391bc3417ae737ffab55e6b05c9c91c3d501ff581276cfd7678510db3333c5aff884d99bc38fb93 WHIRLPOOL f3c030e2a5b4beefdd00eee75a55052a92f07948cd8ce29da46cd83cd0a61991ca6cbf0ccd2ff89beee701a136b082a043a4dab9c140fcd0095905f518d99b6d
DIST Catch-1.6.0.tar.gz 290987 SHA256 83532346983c43963cf89a69c1544be493e6b4cccaf20975e53f5cf2239b73a9 SHA512 6a9fbffd76d1fe6e4a2523c87e6ec6efcae66fc9db6dc5876b2839cfdb7c9918e8dc21b9b5ac4a545677c333659107c45f788d9a251f9d3bdd7731fd404132fe WHIRLPOOL 58257b3729f74f39034d9c9dccf178d0fe25c64f6b43ff606c52a0c2a8779b0ecd4b38b561e402bf4af70a52267d9499d5f22aab34755f02e20e04de4b9894f5
DIST Catch-1.9.1.tar.gz 357082 SHA256 34fb5f7b8892654b123830eb9aa22e911ac4fac3fa14a1ebf51d21625a8a6cfa SHA512 40a212d5af2edf609909af6f420105508c15303e845af1f2b3a04ebafa24a0888dc51da94d0c3f0952410a408a2699870246a246f00fc0d835ee77e8ef8addac WHIRLPOOL ac26d7c17b8a86d00689d93b0379dd8260788cfb670a129936ddc336d5b450713873c39665693fc0de44ef4e61a34e692e736a710a2d5204d115bb26e388d161
DIST Catch-1.9.3.tar.gz 361872 SHA256 67fc8bc96c5ccdd7eb5edf40916fae0a94216c90bfbafdf75bd3843fc5744732 SHA512 55a2af9db182550a6dfa44a1e11e5c6a3a5ff6280f0d5daefd2ae909fac99852030df7d237548696c3e4a4871f61b808fe719ff87d9ff69b88c87349a24241ff WHIRLPOOL 1b9980cedf6f32e14c8d9d6957af2655ca06cd4c256591bc0453269ccb494d54fa888926956206529c88d589c1979764d7e7638d4dc9361ca04ac7fa910256a3
DIST catch-1.5.0.tar.gz 311787 SHA256 f694634bc56422f28d61052eedc29d43ea20e60a1726eda3ff9acc8fdfca3c08 SHA512 d7011cdfe6eca86aa081b5da371665be8687bcbb41f3702c3075bf01f73e1d2e00894a0917e6437a8735e730ff287a06e189ce94ea00e583ab7282065f25166d WHIRLPOOL 90d7d6d2f4b06169224385e0f2ec0de1312c454a0c7a2a14155f68fe30424e527cde91e5fb4ff9bd441fa846a7caabca023e591ce5837f6c65f0bbe106166401

@ -0,0 +1,34 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils
DESCRIPTION="Modern C++ header-only framework for unit-tests"
HOMEPAGE="https://github.com/philsquared/Catch"
SRC_URI="https://github.com/philsquared/Catch/archive/v${PV}.tar.gz -> ${P^}.tar.gz"
LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
S=${WORKDIR}/${P^}
# CMake is only used to build & run tests, so override phases
src_configure() { :; }
src_compile() { :; }
src_test() {
cmake-utils_src_configure
cmake-utils_src_compile
cmake-utils_src_test
}
src_install() {
# same location as used in fedora
insinto /usr/include/catch
doins -r include/.
dodoc -r docs/.
}

@ -1,8 +1,6 @@
DIST 20140409-mms-monitoring-agent.zip 40122 SHA256 9c4f89cfba10b4604512ab21eb082248104aeabe7e813b852db2b86f47d7ecb2 SHA512 5290a813c407251b5e4def813ce6fe7e09d6c3a1907fd409e326b15b07aed39f7db3a28710ecdaffe2771136c9433253c5d1857c823844a4b75dd38f1d15eefd WHIRLPOOL ce80870e2618f3d9ed80af41b1069ed5bd97af475089564eed1bc111e820c048bc5cbaa03f859349e772fe232f876127e0627c75c135a9b2e196ab13258ed9f1
DIST mongodb-src-r2.6.12.tar.gz 16462842 SHA256 2dd51eabcfcd133573be74c0131c85b67764042833e7d94077e86adc0b9406dc SHA512 ceed10f2da50ca390f56cc79d39ea4db7a1ef6764e37dae61c3f3f664708be72de09443bbf94f8e58479e4f2923ff2ab9eee45652e82271b3bad591e03ef7657 WHIRLPOOL 1587ef45ee17f9e3357a92b480ea739192076ead280c44c801650d01d2ae29a627a96db611eac6c9b6b47e5e619e2362df94e1792348709b3ea5a4970a8751a0
DIST mongodb-src-r3.0.14.tar.gz 28093922 SHA256 ebbb758ca7ee53e8d25e2410bb7ef61640829566d094cde2487b55e73d0fd880 SHA512 477fab29ca0ad2a0f24b895e30dc4770af8d6a1a57f3c10a02a989b58dd22510db554da0418129d4e81958342ad169696eed4b86bf5aa73916c7cec879db1152 WHIRLPOOL 7fc02969c52954f0fd9b90ace9efd3677a9d6b8d3618b5dedb470343a3ba71789d451cc30a95742b2b9e61b21ffe0f1a23e239e388a497a327f2cc8ed1ed6aef
DIST mongodb-src-r3.2.11.tar.gz 29113706 SHA256 625eb28fd47b2af63b30343a064de7f42e5265f4c642874ec766ba3643fd80d7 SHA512 8cb63f878d573e2fb2bace57a10d036aebe0cc06e46a3cd5480fb4a8bcd51ac5219c729b5ea85213e0c905906a93780080332fa01dbcd29e01358f5e9051824c WHIRLPOOL fca825400e9ab16e53dfbbd400a9bd87b9a866d56b2a5839ece25b8dbfe55074fa04d40f47c337f67cb3bd3e547b99b4349eeb15a87a9b9659ea0f1a0cc2c526
DIST mongodb-src-r3.2.12.tar.gz 29178424 SHA256 406ced873a9abe8a3f0f92939bf5374663bac86c72181c80bec144aedf6cd306 SHA512 0c4ddaaddf15d97957faff46dc4a3f79c545cacc8a56dbe1d063778117ba9b645323b0cb7fd054fae805d092b8372c411a82e3370244b7939bda20a65fdb951c WHIRLPOOL 67673788859ea99752f2e0d1d8c7feb40b004efc344a2a589553675be7f9020ed384cb4a9000bb7eee0059105af364a722f17890ea3f0d38508b8d045db7da75
DIST mongodb-src-r3.4.1.tar.gz 40161375 SHA256 54f475e553827733fb351ee4b03b470297f0d08e0434fbf7e6661705124da97b SHA512 48400f00ed84922b1e734ad915c376a567af2cd32e9cdcc40819fdfbc0a5c2444e4f325b1a541fc21cf87f4d95f9bdcc64bd59eab9d25e75b28732978feda031 WHIRLPOOL 1dce39c7b36b2c1d3760c7c560c1fefde9ea6d780ef1ef8b5db38f3ed8f0aff9a4ae51ab26381d9330c5b3ad3182ed998ae8e2a0ecc85e9347714ffa853d7734
DIST mongodb-src-r3.4.2.tar.gz 39796167 SHA256 29b60f6c5331fd2ff5242171a65c03e3b47c1ff957fa317bfaa2ddccd8d51b59 SHA512 42f1b946e4be22670a3d79ec5ea359c2c43f0cff6f6329486b2cc797fd57981982544fbce53412ab91eafa3a1fbecb30bc95316cc9405d778b20a270f77df777 WHIRLPOOL 25e512f455661c0e49bde559fb1662e98643e2078c3c1dd7f675524de467741db3091d3868e34c4e470232e1be7e37cf6f032a76d39afee2b673cb8a4c188798
DIST mongodb-src-r3.4.3.tar.gz 39832718 SHA256 889d49312ed072130936cfa3281123a0e89228c04f3f8e992a0b92669b28d767 SHA512 e2fb5fc2f02e9dbca6c30d2e2aaf1569180ca15198226cdad46f47f44905293afe77763fe2e5c9add0b5bcbd62b7ce7905fb183068c0738cdeeae8d39f848cef WHIRLPOOL ba6fa864249cc80e5f65feaed685980b874b46bcf975142e15fa0eda3e474cc85388920e152474dc5527a30d215c309db6d471c716e6bbe374193ff6016ba22e
DIST mongodb-src-r3.4.4.tar.gz 39867133 SHA256 09e962bf3428474b9790bbd464cb6176817f9da6121c30e096240dbb4d51c9f6 SHA512 dbae89b49c363e7258021cd31385e4449bfdfdfd5adfcb1683e4431372731e58ec33bf8f7576d2d52659a52461bd6a32fbc67d5c6e36d52184ec1aabb345d940 WHIRLPOOL 5ad9f80c7f0f597982a32f95365df961fcd80ffa7c04183f9cb4952a52262a27ab09fee4d0115405c5197b6d3848ede56c9a4e5012ec1c358ea8c752164405c2

@ -1,192 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
SCONS_MIN_VERSION="2.3.0"
CHECKREQS_DISK_BUILD="2400M"
CHECKREQS_DISK_USR="512M"
CHECKREQS_MEMORY="1024M"
inherit eutils flag-o-matic multilib pax-utils scons-utils systemd toolchain-funcs user versionator check-reqs
MY_P=${PN}-src-r${PV/_rc/-rc}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="https://fastdl.mongodb.org/src/${MY_P}.tar.gz"
LICENSE="AGPL-3 Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug kerberos libressl mms-agent ssl test +tools"
RDEPEND=">=app-arch/snappy-1.1.2
|| ( =dev-cpp/yaml-cpp-0.5.1 >dev-cpp/yaml-cpp-0.5.2 )
>=dev-libs/boost-1.57[threads(+)]
>=dev-libs/libpcre-8.39[cxx]
dev-libs/snowball-stemmer
net-libs/libpcap
>=sys-libs/zlib-1.2.8
mms-agent? ( app-admin/mms-agent )
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1g:0= )
libressl? ( dev-libs/libressl:0= )
)"
DEPEND="${RDEPEND}
>=sys-devel/gcc-4.8.2:*
sys-libs/ncurses
sys-libs/readline
debug? ( dev-util/valgrind )
kerberos? ( dev-libs/cyrus-sasl[kerberos] )
test? (
dev-python/pymongo
dev-python/pyyaml
)"
PDEPEND="tools? ( >=app-admin/mongo-tools-${PV} )"
S=${WORKDIR}/${MY_P}
pkg_pretend() {
if [[ ${REPLACING_VERSIONS} < 3.0 ]]; then
ewarn "To upgrade an existing MongoDB deployment to 3.2, you must be"
ewarn "running a 3.0-series release. Please update to the latest 3.0"
ewarn "release before continuing if wish to keep your data."
fi
}
pkg_setup() {
enewgroup mongodb
enewuser mongodb -1 -1 /var/lib/${PN} mongodb
# Maintainer notes
#
# --use-system-tcmalloc is strongly NOT recommended:
# https://www.mongodb.org/about/contributors/tutorial/build-mongodb-from-source/
scons_opts=(
CC="$(tc-getCC)"
CXX="$(tc-getCXX)"
--disable-warnings-as-errors
--use-system-boost
--use-system-pcre
--use-system-snappy
--use-system-stemmer
--use-system-yaml
--use-system-zlib
)
# wiredtiger not supported on 32bit platforms #572166
use x86 && scons_opts+=( --wiredtiger=off )
if use debug; then
scons_opts+=( --dbg=on )
fi
if use prefix; then
scons_opts+=(
--cpppath="${EPREFIX}/usr/include"
--libpath="${EPREFIX}/usr/$(get_libdir)"
)
fi
if use kerberos; then
scons_opts+=( --use-sasl-client )
fi
if use ssl; then
scons_opts+=( --ssl )
fi
}
src_prepare() {
epatch \
"${FILESDIR}/${PN}-3.2.0-fix-scons.patch" \
"${FILESDIR}/${PN}-3.2.4-boost-1.60.patch"
if has_version ">=dev-libs/boost-1.62"; then
epatch "${FILESDIR}/${PN}-3.2.10-boost-1.62.patch"
fi
epatch_user
}
src_compile() {
# respect mongoDB upstream's basic recommendations
# see bug #536688 and #526114
if ! use debug; then
filter-flags '-m*'
filter-flags '-O?'
fi
escons "${scons_opts[@]}" core tools
}
src_install() {
escons "${scons_opts[@]}" --nostrip install --prefix="${ED}"/usr
for x in /var/{lib,log}/${PN}; do
keepdir "${x}"
fowners mongodb:mongodb "${x}"
done
doman debian/mongo*.1
dodoc README docs/building.md
newinitd "${FILESDIR}/${PN}.initd-r2" ${PN}
newconfd "${FILESDIR}/${PN}.confd-r2" ${PN}
newinitd "${FILESDIR}/${PN/db/s}.initd-r2" ${PN/db/s}
newconfd "${FILESDIR}/${PN/db/s}.confd-r2" ${PN/db/s}
insinto /etc
newins "${FILESDIR}/${PN}.conf-r3" ${PN}.conf
newins "${FILESDIR}/${PN/db/s}.conf-r2" ${PN/db/s}.conf
systemd_dounit "${FILESDIR}/${PN}.service"
insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}.logrotate" ${PN}
# see bug #526114
pax-mark emr "${ED}"/usr/bin/{mongo,mongod,mongos}
}
pkg_preinst() {
# wrt bug #461466
if [[ "$(get_libdir)" == "lib64" ]]; then
rmdir "${ED}"/usr/lib/ &>/dev/null
fi
}
src_test() {
# this one test fails
rm jstests/core/repl_write_threads_start_param.js
./buildscripts/resmoke.py --dbpathPrefix=test --suites core || die "Tests failed"
}
pkg_postinst() {
local v
for v in ${REPLACING_VERSIONS}; do
if ! version_is_at_least 3.0 ${v}; then
ewarn "!! IMPORTANT !!"
ewarn " "
ewarn "${PN} configuration files have changed !"
ewarn " "
ewarn "Make sure you migrate from /etc/conf.d/${PN} to the new YAML standard in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/manual/reference/configuration-options/"
ewarn " "
ewarn "Make sure you also follow the upgrading process :"
ewarn " http://docs.mongodb.org/master/release-notes/3.0-upgrade/"
ewarn " "
ewarn "MongoDB 3.0 introduces the WiredTiger storage engine."
ewarn "WiredTiger is incompatible with MMAPv1 and you need to dump/reload your data if you want to use it."
ewarn "Once you have your data dumped, you need to set storage.engine: wiredTiger in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/master/release-notes/3.0-upgrade/#change-storage-engine-to-wiredtiger"
break
fi
done
ewarn "Make sure to read the release notes and follow the upgrade process:"
ewarn " https://docs.mongodb.org/manual/release-notes/3.2/"
ewarn " https://docs.mongodb.org/master/release-notes/3.2-upgrade/"
ewarn
ewarn " Starting in 3.2, MongoDB uses the WiredTiger as the default storage engine."
}

@ -1,189 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
SCONS_MIN_VERSION="2.3.0"
CHECKREQS_DISK_BUILD="2400M"
CHECKREQS_DISK_USR="512M"
CHECKREQS_MEMORY="1024M"
inherit eutils flag-o-matic multilib pax-utils scons-utils systemd toolchain-funcs user versionator check-reqs
MY_P=${PN}-src-r${PV/_rc/-rc}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="http://www.mongodb.org"
SRC_URI="https://fastdl.mongodb.org/src/${MY_P}.tar.gz"
LICENSE="AGPL-3 Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug kerberos libressl mms-agent ssl test +tools"
RDEPEND=">=app-arch/snappy-1.1.3
>=dev-cpp/yaml-cpp-0.5.3
>=dev-libs/boost-1.60[threads(+)]
>=dev-libs/libpcre-8.39[cxx]
dev-libs/snowball-stemmer
net-libs/libpcap
>=sys-libs/zlib-1.2.8
mms-agent? ( app-admin/mms-agent )
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1g:0= )
libressl? ( dev-libs/libressl:0= )
)"
DEPEND="${RDEPEND}
>=sys-devel/gcc-5.3.0:*
sys-libs/ncurses
sys-libs/readline
debug? ( dev-util/valgrind )
kerberos? ( dev-libs/cyrus-sasl[kerberos] )
test? (
dev-python/pymongo
dev-python/pyyaml
)"
PDEPEND="tools? ( >=app-admin/mongo-tools-${PV} )"
S=${WORKDIR}/${MY_P}
pkg_pretend() {
if [[ ${REPLACING_VERSIONS} < 3.0 ]]; then
ewarn "To upgrade from a version earlier than the 3.0-series, you must"
ewarn "successively upgrade major releases until you have upgraded"
ewarn "to 3.2-series. Then upgrade to 3.4 series."
fi
}
pkg_setup() {
enewgroup mongodb
enewuser mongodb -1 -1 /var/lib/${PN} mongodb
# Maintainer notes
#
# --use-system-tcmalloc is strongly NOT recommended:
# https://www.mongodb.org/about/contributors/tutorial/build-mongodb-from-source/
scons_opts=(
CC="$(tc-getCC)"
CXX="$(tc-getCXX)"
--disable-warnings-as-errors
--use-system-boost
--use-system-pcre
--use-system-snappy
--use-system-stemmer
--use-system-yaml
--use-system-zlib
)
# wiredtiger not supported on 32bit platforms #572166
use x86 && scons_opts+=( --wiredtiger=off )
if use debug; then
scons_opts+=( --dbg=on )
fi
if use prefix; then
scons_opts+=(
--cpppath="${EPREFIX}/usr/include"
--libpath="${EPREFIX}/usr/$(get_libdir)"
)
fi
if use kerberos; then
scons_opts+=( --use-sasl-client )
fi
if use ssl; then
scons_opts+=( --ssl )
fi
}
src_prepare() {
epatch \
"${FILESDIR}/${PN}-3.4.0-fix-scons.patch"
if has_version ">=dev-libs/boost-1.62"; then
epatch "${FILESDIR}/${PN}-3.2.10-boost-1.62.patch"
fi
epatch_user
}
src_compile() {
# respect mongoDB upstream's basic recommendations
# see bug #536688 and #526114
if ! use debug; then
filter-flags '-m*'
filter-flags '-O?'
fi
escons "${scons_opts[@]}" core tools
}
src_install() {
escons "${scons_opts[@]}" --nostrip install --prefix="${ED}"/usr
for x in /var/{lib,log}/${PN}; do
keepdir "${x}"
fowners mongodb:mongodb "${x}"
done
doman debian/mongo*.1
dodoc README docs/building.md
newinitd "${FILESDIR}/${PN}.initd-r2" ${PN}
newconfd "${FILESDIR}/${PN}.confd-r2" ${PN}
newinitd "${FILESDIR}/${PN/db/s}.initd-r2" ${PN/db/s}
newconfd "${FILESDIR}/${PN/db/s}.confd-r2" ${PN/db/s}
insinto /etc
newins "${FILESDIR}/${PN}.conf-r3" ${PN}.conf
newins "${FILESDIR}/${PN/db/s}.conf-r2" ${PN/db/s}.conf
systemd_dounit "${FILESDIR}/${PN}.service"
insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}.logrotate" ${PN}
# see bug #526114
pax-mark emr "${ED}"/usr/bin/{mongo,mongod,mongos}
}
pkg_preinst() {
# wrt bug #461466
if [[ "$(get_libdir)" == "lib64" ]]; then
rmdir "${ED}"/usr/lib/ &>/dev/null
fi
}
src_test() {
# this one test fails
rm jstests/core/repl_write_threads_start_param.js
./buildscripts/resmoke.py --dbpathPrefix=test --suites core || die "Tests failed"
}
pkg_postinst() {
local v
for v in ${REPLACING_VERSIONS}; do
if ! version_is_at_least 3.0 ${v}; then
ewarn "!! IMPORTANT !!"
ewarn " "
ewarn "${PN} configuration files have changed !"
ewarn " "
ewarn "Make sure you migrate from /etc/conf.d/${PN} to the new YAML standard in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/manual/reference/configuration-options/"
ewarn " "
ewarn "Make sure you also follow the upgrading process :"
ewarn " http://docs.mongodb.org/master/release-notes/3.0-upgrade/"
ewarn " "
ewarn "MongoDB 3.0 introduces the WiredTiger storage engine."
ewarn "WiredTiger is incompatible with MMAPv1 and you need to dump/reload your data if you want to use it."
ewarn "Once you have your data dumped, you need to set storage.engine: wiredTiger in /etc/${PN}.conf"
ewarn " http://docs.mongodb.org/master/release-notes/3.0-upgrade/#change-storage-engine-to-wiredtiger"
break
fi
done
ewarn "Make sure to read the release notes and follow the upgrade process:"
ewarn " https://docs.mongodb.org/manual/release-notes/3.4/"
ewarn " https://docs.mongodb.com/manual/release-notes/3.4/#upgrade-procedures"
}

@ -1 +1,2 @@
DIST percona-xtrabackup-2.4.6.tar.gz 54108124 SHA256 1e21ab097550901d8f2fa3dc37402ba6a994afa0722760f8f19cb369565e5e8b SHA512 7ed16ba73d4232cc5f40f3dd4674087b65326b42f3f0d9cd462a1eef1dd2c41c582cb71fff49998d9e65f71322e2b26d0708b2ba36da22f54f456679b9a544e5 WHIRLPOOL 3d53e7a2b7b61c0dd779d723a3efb4d1ab4d98aff751a325e6028c0710a1f4de969d70f62c65a8a0e67f0d95643a0245524fb37708602ef303f21674c5f92fe3
DIST percona-xtrabackup-2.4.7.tar.gz 54119422 SHA256 261567a4f0bdde0df7eefeb4f651ad39b4752984bbaabd68245e0e5ee368871a SHA512 7aaf82975cd4c0b7af119902eddf96b8ce75c0fbcbd6835991e33f1f89347361fbe3c9040762c9989df5d53199b628aa6b2b45004ef440bb46e2415fbab13009 WHIRLPOOL 768749471ac987a24f86d07b330988cb679042be5a8affd264f1195eeeacaa8e403370d558316708a056acb4b0ad78083e195f31a4f2a58bc497bf301be2ddb1

@ -0,0 +1,74 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit cmake-utils flag-o-matic
DESCRIPTION="Hot backup utility for MySQL based servers"
HOMEPAGE="https://www.percona.com/software/mysql-database/percona-xtrabackup"
SRC_URI="https://www.percona.com/downloads/XtraBackup/Percona-XtraBackup-${PV}/source/tarball/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND="
app-arch/lz4:0=
app-editors/vim-core
>=dev-libs/boost-1.59.0:=
dev-libs/libaio
dev-libs/libedit
dev-libs/libevent:0=
dev-libs/libgcrypt:0=
dev-libs/libgpg-error
dev-python/sphinx
net-misc/curl
sys-libs/zlib"
RDEPEND="${DEPEND}
!dev-db/xtrabackup-bin
dev-perl/DBD-mysql"
PATCHES=(
"${FILESDIR}"/${PN}-2.4.6-remove-boost-version-check.patch
"${FILESDIR}"/${PN}-2.4.6-fix-gcc6-isystem.patch
)
src_prepare() {
cmake-utils_src_prepare
# remove bundled lz4, boost, libedit, libevent, zlib
# just to be safe...
rm -r extra/lz4 include/boost_1_59_0 \
cmd-line-utils/libedit libevent zlib || die
}
src_configure() {
# Needed, due to broken handling of CMAKE_BUILD_TYPE leading to
#
# error: 'fts_ast_node_type_get' was not declared in this scope
#
append-cppflags -DDBUG_OFF
local mycmakeargs=(
-DBUILD_CONFIG=xtrabackup_release
-DWITH_EDITLINE=system
-DWITH_LIBEVENT=system
-DWITH_LZ4=system
-DWITH_SSL=bundled # uses yassl, which isn't packaged
-DWITH_ZLIB=system
-DWITH_PIC=ON
)
cmake-utils_src_configure
}
src_install() {
local p="${BUILD_DIR}/storage/innobase/xtrabackup"
dobin "${p}"/src/{xbcloud,xbcrypt,xbstream,xtrabackup}
dosym xtrabackup /usr/bin/innobackupex
einstalldocs
doman "${p}"/doc/source/build/man/*
}

@ -2,3 +2,4 @@ DIST execline-2.1.1.0.tar.gz 75967 SHA256 9e1a9b95772b64bd623c1ddea6200909cca0eb
DIST execline-2.1.4.5.tar.gz 80203 SHA256 ab4451d4992a5d7fb2ae34cffe4d0806e4902bf9aa27ee3b75617aa35379356f SHA512 15a76c73afe98142b9f466edb442cad06ee69f0f0e15ad6a325c37f3878b4c5863b5cece67bd169e84b465a0f7f4f38f87fa88b2aa96fe40a20ebc3575a1ceb9 WHIRLPOOL 1df5b72f02c95d3fd24ff7c46b3cd7aff89186bfe6bb27df815f5bb06a12886e57b3fe67ff18d2d387dccb107eb8acf0b09124eafe47a9857e636d240e1051e8
DIST execline-2.1.5.0.tar.gz 80932 SHA256 8a3605a6db73183baa376bf2130e8b7eb75a5b5347c7f9144e520fe86bcb1142 SHA512 43ebff73e279dcffda686a372bded80e12be4b66b6c2fde69f17810aa0b52214d23da8581002adfcb5a40437e335594b8e44c698d0295d8c172fbc2c0a93aeed WHIRLPOOL 8b0d3b28d28e7c18515600dd866c0ade5f99ba97ded37102e58f2d613d2e60f1d9de1d1327f0c5331bd8f346e9b808dafbfbd8e7003a01983904f6576ae90575
DIST execline-2.2.0.0.tar.gz 82860 SHA256 93bd744f2e3ad204cb89f147efdc6ca4e622f9c6bfc9895e0b2cb8b0480029de SHA512 0174bd46c231684f78b7ea2f6f85776b9edf780d1ae928fcaf0eda3ade46fa60666c17af4480fd37179461b622a069221386f229c777fd214b5abe70e7f58a19 WHIRLPOOL 6e39ceca7a867e5fc6d7fee16e78df2a5602b15924c411766089719afd81b198c7e816b54634dd2f322048c0230f9009392f01264eacba96924fe1af8888625f
DIST execline-2.3.0.0.tar.gz 81704 SHA256 a0ec43b8feba299cc1e5c65b1978ed76571afa595bc53165373e29a57468f425 SHA512 d8bd3420366d2e81e8bcbd644f235fc50e32a83d8e25989cf12f4b4c03bf553e0c356311ef185f98e03887ad65fd75a12ec4746ac832e72aeb023016d91f36c1 WHIRLPOOL b1b278c5623bae97a9e232bbdee2ff21a5cfb8dbd33bc53547620d876a4e0649543bee3de1e0c33b20442f26faeb2089e5325d0b7891e7d568a2ccff7629eb38

@ -0,0 +1,52 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit versionator
DESCRIPTION="a non-interactive scripting language"
HOMEPAGE="https://www.skarnet.org/software/execline/"
SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
LICENSE="ISC"
SLOT="0/$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
IUSE="static static-libs"
DEPEND=">=sys-devel/make-3.81
static? (
>=dev-libs/skalibs-2.5.0.0[static-libs]
)
!static? (
>=dev-libs/skalibs-2.5.0.0
)
"
RDEPEND="
!static? (
>=dev-libs/skalibs-2.5.0.0:=
)
"
HTML_DOCS="doc/*"
src_prepare() {
default
# Remove QA warning about LDFLAGS addition
sed -i "s/tryldflag LDFLAGS_AUTO -Wl,--hash-style=both/:/" "${S}/configure" || die
}
src_configure() {
econf \
--bindir=/bin \
--dynlibdir=/$(get_libdir) \
--libdir=/usr/$(get_libdir)/${PN} \
--with-dynlib=/$(get_libdir) \
--with-lib=/usr/$(get_libdir)/skalibs \
--with-sysdeps=/usr/$(get_libdir)/skalibs \
$(use_enable !static shared) \
$(use_enable static allstatic) \
$(use_enable static static-libc) \
$(use_enable static-libs static)
}

@ -0,0 +1,30 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
inherit cmake-utils
DESCRIPTION="High-performance regular expression matching library"
SRC_URI="https://github.com/01org/hyperscan/archive/v${PV}.tar.gz"
HOMEPAGE="https://01.org/hyperscan"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="cpu_flags_x86_ssse3 static-libs"
DEPEND="dev-util/ragel
=dev-lang/python-2*
dev-libs/boost
net-libs/libpcap"
REQUIRED_USE="cpu_flags_x86_ssse3"
src_configure() {
local mycmakeargs=(
-DBUILD_SHARED_LIBS=$(usex static-libs OFF ON)
-DBUILD_STATIC_AND_SHARED=$(usex static-libs ON OFF)
)
cmake-utils_src_configure
}

@ -0,0 +1,33 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit autotools ltprune multilib-minimal
DESCRIPTION="A C library that implements a dynamic array"
HOMEPAGE="http://judy.sourceforge.net/"
SRC_URI="mirror://sourceforge/judy/Judy-${PV}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
IUSE="static-libs"
DOCS=( AUTHORS ChangeLog README )
src_prepare() {
eapply -p0 "${FILESDIR}/${P}-parallel-make.patch"
sed -i 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.ac || die
eapply_user
eautoreconf
multilib_copy_sources
}
multilib_src_configure() {
ECONF_SOURCE=${BUILD_DIR} econf $(use_enable static-libs static)
}
multilib_src_install_all(){
einstalldocs
prune_libtool_files
}

@ -1,9 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
<maintainer type="person">
<email>grknight@gentoo.org</email>
<name>Brian Evans</name>
</maintainer>
<upstream>
<remote-id type="sourceforge">judy</remote-id>

@ -2,3 +2,4 @@ DIST skalibs-2.3.10.0.tar.gz 213288 SHA256 e4d5147941055b2a367794666f773a4b216c3
DIST skalibs-2.3.2.0.tar.gz 205976 SHA256 a36302b63fe97fa8d616cac0bb7aebbff60e1419dfb4d4f1af66b3c058dbd6ba SHA512 f5a4b85fc43f49eccf5a2ac2ce5b142afc28fe4af781e59d1ad21a7eb5896075720230391234fcf7879cb29ba2d1624926d8cca77c3925327aa7a9a5fefff91a WHIRLPOOL 453d5a0c9d1c2d84e1c8d5ac6bdb27e85d402de8007b8fcc6ba00c6e7c2400fb30c188da0a71343271edf47480916c7f3a5c7bb6e07703d5adc196bccc783350
DIST skalibs-2.3.9.0.tar.gz 211781 SHA256 6229fb4fb415699bbff3b446ff44aa5b7fb9c512b83bd68ae4005603afab60cb SHA512 30b08fec01944fd7e816eb275dfe6eafdf21e14af95e70ae4991b9da716ab191b22c1576084ed7c40fd9e958804519075befaaf4314ccb370ced3c5e94793212 WHIRLPOOL 626ae08b19bb26916b5f75a979f60455404d91ae77c7c70fd35ae5b697e970f6cd72c68f42ddf6b288018b5639003ab6f2d2860d5617d8b6a0feca02f261277e
DIST skalibs-2.4.0.2.tar.gz 215964 SHA256 0708172bc2ec9825f8a4f312d35f8dcd94da5f291425a598c33c873b3de77df8 SHA512 1a60ff7bf2364cfe56dc5847321dad4eaa3942be90555a405c4c6c6fff287e197621796624cd52030f4373665ef53d4f7cd5832e8492ecf1d75c82544a4c8f2e WHIRLPOOL 921f30c49c14b26ddef4e4a92f22f097379619e1ad42a4486081efe2436ca07ac7343144663efce738b35fc2cf0580a7651b81ca308edca5a7d262ec8a1b3559
DIST skalibs-2.5.0.0.tar.gz 207065 SHA256 38408ff6d0aec581010ecf9e49703ec5f4c8887bbe68717ec087634a7ade849c SHA512 fe96cb0a128dc5060c74dca1ac96df96bf1f9383229ef283b7b23b98c7910137f3ca25ecd7cf91446a7f6d1ce7bb6a36e346c45c6d5723f73eea008626a3792e WHIRLPOOL bdc773fb34eed7d321047c3ac8dbca9b0330914e3c46331b898fd5135c90ef2f1572f87264156a91f3a6eaebbb4baffcca936391f2d3e013f8f239d444cda750

@ -0,0 +1,45 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit versionator
DESCRIPTION="skarnet.org general-purpose libraries"
HOMEPAGE="https://www.skarnet.org/software/skalibs/"
SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz"
LICENSE="ISC"
SLOT="0/$(get_version_component_range 1-2)"
KEYWORDS="~amd64 ~x86"
IUSE="doc ipv6 static-libs"
DEPEND=">=sys-devel/make-3.81"
RDEPEND=""
HTML_DOCS="doc/*"
src_prepare() {
default
# Remove QA warning about LDFLAGS addition
sed -i "s/tryldflag LDFLAGS_AUTO -Wl,--hash-style=both/:/" "${S}/configure" || die
}
src_configure() {
econf \
--datadir=/etc \
--dynlibdir=/$(get_libdir) \
--libdir=/usr/$(get_libdir)/${PN} \
--sysdepdir=/usr/$(get_libdir)/${PN} \
--enable-clock \
--enable-shared \
$(use_enable static-libs static) \
$(use_enable ipv6)
}
src_install() {
emake DESTDIR="${D}" install
use doc && einstalldocs
}

@ -1,3 +1,4 @@
DIST xapian-bindings-1.2.22.tar.xz 844040 SHA256 b15ca7984980a1d2aedd3378648ef5f3889cb39a047bac1522a8e5d04f0a8557 SHA512 0eec204ebb92f1230b9dbd080ad2b56ea5fa8e6170eb4354556e5790c7a7da7ba4c8475aaf86fb8f10f102a461d91590184271220626315f55c0631e73e122e0 WHIRLPOOL 05ac5b31d73f9de0c101da832ef289f6a505baa68216eba6fa0cf80df1709feef7e42c7b8f4cf9af35f775e8514c6d4b944c2acebffff10bc558a83305a637ce
DIST xapian-bindings-1.2.24.tar.xz 886148 SHA256 0c2a0df0a4616e2bd8e578d372c9bb4684780573abebbd1ac515502177229965 SHA512 aaedac02ec9fb192ef8b45b07bef5584bc60aff7068c2e3fa0008430ed8296a653780cad04176431d81fe014802df333a3090469dce63204923eead15e6bbaef WHIRLPOOL 996b960727a79dbe669ae8139863c3896c6efdbe781177098d00960982b86a43739433c69db32e62b6660dd4751736d859f5d950d26d6b635c310c35d75a8a0f
DIST xapian-bindings-1.4.3.tar.xz 1114408 SHA256 65b5455bf81e4f39fda49a6ad99353b05889d11d7c4c2cae001a0a1e0dac0d87 SHA512 a01ffd8d7051040983d2270f0631a3c3d99f8e9a6fa7d2d70d5be10774ccc1356d2b93d0d9ca8764388c8616ca6dba361d0def9ae262d1836cddd95f9188eb44 WHIRLPOOL 966a12bcbb7bd2fd9fa7d0f797313ca6f6a1a061fc174d927026b1afa2cd93c15909887590bba4b463d56b2cbb745219ed1652ae22cd61e7f7dd48ff16a11ff2
DIST xapian-bindings-1.4.4.tar.xz 1117140 SHA256 3b323eac41c42750b7dacc9319b1477a7c1b552c95f590127643dee3b44d8a39 SHA512 006e771b3ea654130b4f76f1a1caee576fd5a3fa6317ca44f1e5483671e8c83073ecbde4f3fc7f84c75590eec53acb59701af4cf9bcd72355ed9d53924492b53 WHIRLPOOL 6932654e8fb4feea2de6db9f58273ab1fd253e0a90992377224c94a671979e102992052396fc319a5a3a8b3122d6a12d43a4bcd73e81e9dfc2b1a3b04838beae

@ -0,0 +1,158 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
PYTHON_COMPAT=( python{2_7,3_4,3_5} )
PYTHON_REQ_USE="threads(+)"
USE_PHP="php5-6"
PHP_EXT_NAME="xapian"
PHP_EXT_INI="yes"
PHP_EXT_OPTIONAL_USE="php"
inherit distutils-r1 libtool java-pkg-opt-2 mono-env php-ext-source-r2 toolchain-funcs
DESCRIPTION="SWIG and JNI bindings for Xapian"
HOMEPAGE="http://www.xapian.org/"
SRC_URI="http://oligarchy.co.uk/xapian/${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="java lua mono perl php python ruby tcl"
REQUIRED_USE="|| ( java lua mono perl php python ruby tcl )"
COMMONDEPEND="dev-libs/xapian:0/30
lua? ( dev-lang/lua:= )
perl? ( dev-lang/perl:= )
python? (
dev-python/sphinx[${PYTHON_USEDEP}]
${PYTHON_DEPS}
)
ruby? ( dev-lang/ruby:= )
tcl? ( dev-lang/tcl:= )
mono? ( dev-lang/mono )"
DEPEND="${COMMONDEPEND}
virtual/pkgconfig
java? ( >=virtual/jdk-1.6 )"
RDEPEND="${COMMONDEPEND}
java? ( >=virtual/jre-1.6 )"
pkg_setup() {
use mono && mono-env_pkg_setup
use java && java-pkg-opt-2_pkg_setup
}
src_prepare() {
use java && java-pkg-opt-2_src_prepare
# http://trac.xapian.org/ticket/702
export XAPIAN_CONFIG="/usr/bin/xapian-config"
# Accept ruby 2.0 - patch configure directly to avoid autoreconf
epatch "${FILESDIR}"/${PN}-1.3.6-allow-ruby-2.0.patch
if use python; then
python_copy_sources
fi
}
src_configure() {
local conf=(
--disable-documentation
--without-csharp
--without-python
--without-python3
)
if use java; then
export CXXFLAGS="${CXXFLAGS} $(java-pkg_get-jni-cflags)"
conf+=( --with-java )
fi
if use perl; then
export PERL_ARCH="$(perl -MConfig -e 'print $Config{installvendorarch}')"
export PERL_LIB="$(perl -MConfig -e 'print $Config{installvendorlib}')"
conf+=( --with-perl )
fi
if use lua; then
export LUA_LIB="$($(tc-getPKG_CONFIG) --variable=INSTALL_CMOD lua)"
conf+=( --with-lua )
fi
if use php; then
if has_version "=dev-lang/php-7*"; then
conf+=( --with-php7 )
else
conf+=( --with-php )
fi
fi
use ruby && conf+=( --with-ruby )
use tcl && conf+=( --with-tcl )
use mono && conf+=( --with-csharp )
econf ${conf[@]}
python_configure() {
local myconf=(
--disable-documentation
--without-java
--without-lua
--without-csharp
--without-perl
--without-php
--without-ruby
--without-tcl
)
if python_is_python3; then
myconf+=( --with-python3 )
else
myconf+=( --with-python )
fi
# Avoid sandbox failures when compiling modules
addpredict "$(python_get_sitedir)"
econf "${myconf[@]}"
}
if use python; then
python_foreach_impl run_in_build_dir python_configure
fi
}
src_compile() {
default
if use python; then
unset PYTHONDONTWRITEBYTECODE
python_foreach_impl run_in_build_dir emake
fi
}
src_install() {
emake DESTDIR="${D}" install
if use java; then
java-pkg_dojar java/built/xapian_jni.jar
# TODO: make the build system not install this...
java-pkg_doso java/.libs/libxapian_jni.so
rm -rf "${D}var" || die "could not remove java cruft!"
fi
use php && php-ext-source-r2_createinifiles
if use python; then
python_foreach_impl run_in_build_dir emake DESTDIR="${D}" install
fi
# For some USE combinations this directory is not created
if [[ -d "${D}/usr/share/doc/xapian-bindings" ]]; then
mv "${D}/usr/share/doc/xapian-bindings" "${D}/usr/share/doc/${PF}" || die
fi
dodoc AUTHORS HACKING NEWS TODO README
}

@ -1,3 +1,4 @@
DIST xapian-core-1.2.22.tar.xz 3204096 SHA256 269b87ca3faf79d444e8bb82ed58a96f1955008d7702f9966dec68608588527f SHA512 cb6bd565eb307f9bc8f801fc9cda0cc6ad5d7cb8bf0af2ab6e42d48ca4ea4169f08621db810ab87d15957d0f873bcb0336e16b12fdb6026375d9c0192781e0d6 WHIRLPOOL 580c16889a6c3e99a00f8bb791f878a08ff3522c3dffb18ace18d54575247332f0fff8866f46475513dde7544205fe08971cbd284ec3714ce0d6b9b445e8746e
DIST xapian-core-1.2.24.tar.xz 3210192 SHA256 57a82717ba07e9777958b6ef48d94b81ea41ac4c74d544f74da597fab1e1f87b SHA512 1f8ae5848f94b5f0bee03024f12ae8c336b6d85e58f7b36e885fe604f9fb962c0525e1f44e6cfcd183e811226c61b23f0f2fcc35c7d2e63544b19347a0f96c80 WHIRLPOOL fef6db7f393d4563828e1650eecd02e30d37f5837042b6a8992cfddb962593675f9c3af4eb5d387db71f99468235905bdbe5666f91975b260cb649fd422425ae
DIST xapian-core-1.4.3.tar.xz 2805964 SHA256 7d5295511ca2de70463a29e75f6a2393df5dc1485bf33074b778c66e1721e475 SHA512 f8da535c298a07828998d12a10c049eadcfbc36adf93c0744565bd6b4c7c49f4df3f402e50fb4abbe9384ccaeaf3499cce53bea90bf57d677ee5124e8621c74c WHIRLPOOL c36c97018ca7488229494583c42faea49a85d3b956947d7f0c0a106a1f870ef5458d45a37ddad7a96157a71d3bea0403f3c10a0c36f931c0ee0395e18c34fd1c
DIST xapian-core-1.4.4.tar.xz 2807952 SHA256 a6a985a9841a452d75cf2169196b7ca6ebeef27da7c607078cd401ad041732d9 SHA512 dc88bab1d82c68b29d51c2113319ddb5d16840f3544b9d5fcc7a3671f97d58f16ddff58b865ad3521ea778cbaacf73fe7346bb514a1275f1f739283a4128d001 WHIRLPOOL f1b89b0a5ad47111eb4fe068a5aee29033b694fdd6405041972ebfcc81333662ce74bfc0251a37be9a0d04d7cc232681173e1443840277eedac814b46d9bc728

@ -0,0 +1,78 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit eutils multilib-minimal
MY_P="${PN}-core-${PV}"
DESCRIPTION="Xapian Probabilistic Information Retrieval library"
HOMEPAGE="http://www.xapian.org/"
SRC_URI="http://oligarchy.co.uk/xapian/${PV}/${MY_P}.tar.xz"
LICENSE="GPL-2"
SLOT="0/30" # ABI version of libxapian.so
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="doc static-libs -cpu_flags_x86_sse +cpu_flags_x86_sse2 +glass +chert +inmemory"
DEPEND="sys-libs/zlib"
RDEPEND="${DEPEND}"
REQUIRED_USE="inmemory? ( chert )"
S="${WORKDIR}/${MY_P}"
multilib_src_configure() {
local myconf=""
if use cpu_flags_x86_sse2; then
myconf="${myconf} --enable-sse=sse2"
else
if use cpu_flags_x86_sse; then
myconf="${myconf} --enable-sse=sse"
else
myconf="${myconf} --disable-sse"
fi
fi
myconf="${myconf} $(use_enable static-libs static)"
use glass || myconf="${myconf} --disable-backend-glass"
use chert || myconf="${myconf} --disable-backend-chert"
use inmemory || myconf="${myconf} --disable-backend-inmemory"
myconf="${myconf} --enable-backend-remote --program-suffix="
ECONF_SOURCE=${S} econf $myconf
}
MULTILIB_WRAPPED_HEADERS=(
/usr/include/xapian/postingsource.h
/usr/include/xapian/attributes.h
/usr/include/xapian/valuesetmatchdecider.h
/usr/include/xapian/version.h
/usr/include/xapian/version.h
/usr/include/xapian/types.h
/usr/include/xapian/positioniterator.h
/usr/include/xapian/registry.h
)
multilib_src_install() {
emake DESTDIR="${D}" install
}
multilib_src_install_all() {
# bug #573466
ln -sf "${D}usr/bin/xapian-config" "${D}usr/bin/xapian-config-1.3"
use doc || rm -rf "${D}usr/share/doc/xapian-core-${PV}"
dodoc AUTHORS HACKING PLATFORMS README NEWS
prune_libtool_files --all
}
multilib_src_test() {
emake check VALGRIND=
}

@ -2,8 +2,10 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 )
inherit libtool eutils flag-o-matic python-single-r1
inherit libtool eutils flag-o-matic python-any-r1
DESCRIPTION="Lightweight library for extracting data from files archived in a single zip file"
HOMEPAGE="http://zziplib.sourceforge.net/"
@ -13,13 +15,12 @@ LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc sdl static-libs test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="
sys-libs/zlib
${PYTHON_DEPS}
sdl? ( >=media-libs/libsdl-1.2.6 )"
DEPEND="${RDEPEND}
${PYTHON_DEPS}
virtual/pkgconfig
test? ( app-arch/zip )"

@ -1,16 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
MODULE_AUTHOR=JENSL
MODULE_VERSION=0.4
inherit perl-module
DESCRIPTION="File::DirWalk - walk through a directory tree and run own code"
SLOT="0"
KEYWORDS="amd64 hppa ia64 ppc sparc x86"
IUSE=""
SRC_TEST="do"

@ -1,30 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=JENSL
DIST_VERSION=0.5
inherit perl-module
DESCRIPTION="File::DirWalk - walk through a directory tree and run own code"
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86"
IUSE="test"
RDEPEND="
>=virtual/perl-Carp-1.80.0
>=virtual/perl-File-Spec-3.250.100
"
DEPEND="${RDEPEND}
>=dev-perl/Module-Build-0.360.0
test? (
>=dev-perl/Test-Exception-0.270.0
>=virtual/perl-Test-Simple-0.720.0
)
"
PATCHES=(
"${FILESDIR}/${P}-qw-list.patch"
)

@ -1,2 +0,0 @@
DIST File-DirWalk-0.4.tar.gz 5864 SHA256 f5fcd1c043c78ad726b4d17b3fa04a3a33700829d800432708892da5a7f427ff SHA512 f86fc39afcebbb359920471b420446cfe478057242eba412c8b9675f4fc01d10293706037bd6e6a3b9733abf06e1c6ed46250c777d5c487ce9a5a00e6a8bf613 WHIRLPOOL 86e65dbd8b2a2d519033109e41e1be79fa77356194fefa27652866ee1bfc2f0061e61d57412813ad07d1c5d4741325e1441144a0edf08f2efb116d23aba4c745
DIST File-DirWalk-0.5.tar.gz 16649 SHA256 0ff9658579497aa37796daf0179e2e4ad581ee6b8b3628e000b548dc3a2224db SHA512 7f5329725035b7ae70ead89c25e01d026a16a30a02919570c533f22261791d511577e100684cc3099698cbba4e5809f0edba3520f6d70d007450ab7a0dafad8f WHIRLPOOL fcdd696fad941f9aeac9ae5324a13384ca891d1dadcb2307779914d594736bceda5cc3f897c6052e63da0bfc9976e5068f72ad9a483f2b400d03a0f9723937c6

@ -1,12 +0,0 @@
diff -ruN File-DirWalk-0.5.orig/t/2.t File-DirWalk-0.5/t/2.t
--- File-DirWalk-0.5.orig/t/2.t 2013-03-10 18:13:51.000000000 +0100
+++ File-DirWalk-0.5/t/2.t 2016-12-28 12:42:38.523599947 +0100
@@ -9,7 +9,7 @@
ok(-e "t/");
ok(-d "t/");
-foreach my $f qw(1.t 2.t 3.t 4.t) {
+foreach my $f (qw(1.t 2.t 3.t 4.t)) {
$dw = new File::DirWalk();
$dw->setDepth(1);

@ -1,12 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>perl@gentoo.org</email>
<name>Gentoo Perl Project</name>
</maintainer>
<upstream>
<remote-id type="cpan">File-DirWalk</remote-id>
<remote-id type="cpan-module">File::DirWalk</remote-id>
</upstream>
</pkgmetadata>

@ -1,2 +1 @@
DIST XML_Serializer-0.20.2.tgz 35634 SHA256 4572ff0cedfd39f55b778e1b74b4c50010a8a354be4928d923464242d8dd16bf SHA512 9ccc4dd22796a8993ee150fca777dec827e5aaa9d639d4aadc62e00d161c677f4ed6e73ced28e9b7f21456f0eac6693ba991d42fcb32df1aaa3d0291c3dd3870 WHIRLPOOL b9c1f1671e5b81e372e393d796b2484b8d506ff14441bd5019b230b4f286441d9dd6e3f0640a119cbcd04c3a775c1fb18fbb7428dafb96fe14bea53234d1145d
DIST XML_Serializer-0.21.0.tgz 33362 SHA256 167d299a9dfe897a1c6d6672353fdce40c6c00e7866c46a7e8811507b3ee1c32 SHA512 f547fc92d5b102681229c8c8830ca8201ba529c06a720ad761f2c3cedd757d858711c3d8b0dbd2f88b0815758561acc297cee002162bdee6002c1c7310c8f67a WHIRLPOOL de49b3b95225904a8646c8d83bec2ad08267ec1b565db3a250ccae8798a4be1515592c8874adb24d618c5f3331b47881429cf3e5b30ff1421bbf3af5dbd27f77

@ -1,18 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="2"
inherit php-pear-r1
DESCRIPTION="Swiss-army knife for reading and writing XML files"
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh sparc x86"
IUSE=""
DEPEND="dev-lang/php[xml]"
RDEPEND="${DEPEND}
>=dev-php/PEAR-XML_Parser-1.2.7
>=dev-php/PEAR-XML_Util-1.1.1-r1
"

@ -8,7 +8,7 @@ DESCRIPTION="Swiss-army knife for reading and writing XML files"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh sparc x86"
IUSE="examples test"
RDEPEND="dev-lang/php:*[xml]

@ -1,24 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
inherit php-pear-r1
DESCRIPTION="Swiss-army knife for reading and writing XML files"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE="test"
COMMON_DEPEND="dev-lang/php:*[xml]"
RDEPEND="${COMMON_DEPEND}
>=dev-php/PEAR-XML_Parser-1.2.7
>=dev-php/PEAR-XML_Util-1.1.1-r1
"
DEPEND="${COMMON_DEPEND} test? ( ${RDEPEND} )"
src_test() {
peardev run-tests -r || die
}

@ -3,7 +3,7 @@
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy pypy3 )
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy pypy3 )
inherit distutils-r1

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -17,10 +17,10 @@ SLOT="0"
IUSE=""
RDEPEND="
>=dev-python/django-1.4
>=dev-python/django-1.4[${PYTHON_USEDEP}]
"
DEPEND="
${RDEPEND}
dev-python/setuptools
dev-python/setuptools[${PYTHON_USEDEP}]
"

@ -1,9 +1,9 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
inherit distutils-r1
DESCRIPTION="Polyfill package for Flake8 plugins"
@ -14,7 +14,15 @@ EGIT_REPO_URI="https://gitlab.com/pycqa/flake8-polyfill.git"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
IUSE="test"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
RDEPEND="dev-python/flake8[${PYTHON_USEDEP}]"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
test? ( ${RDEPEND}
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
)"
python_test() {
py.test -v || die "Tests fail with ${EPYTHON}"
}

@ -1,8 +1,8 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 python3_4 )
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1 vcs-snapshot

@ -1,9 +1,9 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4} pypy )
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
inherit distutils-r1

@ -1 +1,2 @@
DIST munkres-1.0.5.4.tar.gz 43050 SHA256 105adad30659dbdf82815d3e12a74d4c01a3e0741d5ccbce194ee2ad4e5338d2 SHA512 a2b1577b75f3099cae57750543c985ab60097d5fa70481d3c6d8394dd55d0d8f99aacf5db625be7fa12772e976cf34d4b51c7841c3a24ee9df8214a68aa66aed WHIRLPOOL de64e126d37a0d267c0048ba368ab58f34aa9ae0d41cc3a97019370d3c12b231bee206c0c0f87d28f22e4b4ac1c29cd054350522372574437b6a09204d1a6561
DIST munkres-1.0.8.tar.gz 9277 SHA256 185f1a9c4d2c31f2f19afa48bc2ec726c11e945eded4784d272da2fd49bf7a55 SHA512 e0afda8b91e51d177b9e2dc66ccacce849649d1a7d0e756884ac030acf4080076aa428182c5e9366613ee16db338ba7dcd3c38977de0888781b1885f08cb8236 WHIRLPOOL 15647beb863b6a2eb52ef594457564a524f8a6c4a4287f522679a3e1abc334279a9d3b47d0e7611ebb6c37c0549220c323bb6c4811f2097105f47d43a538653b

@ -0,0 +1,21 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
DESCRIPTION="Module implementing munkres algorithm for the Assignment Problem"
HOMEPAGE="https://pypi.python.org/pypi/munkres/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
python_test() {
"${PYTHON}" ${PN}.py || die
}

@ -1,8 +1,8 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 python3_4 )
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4} pypy )
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
inherit distutils-r1

@ -1,8 +1,8 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
PYTHON_COMPAT=( python{2_7,3_4} )
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1 flag-o-matic

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python3_{4,5} pypy3 )
PYTHON_COMPAT=( python3_{4,5,6} pypy3 )
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
PYTHON_COMPAT=( python{2_7,3_4} )
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
PYTHON_REQ_USE="ipv6?"
inherit distutils-r1

@ -1,8 +1,8 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python2_7 python3_4 )
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -30,5 +30,10 @@ DEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-mock[${PYTHON_USEDEP}]
)
"
python_test() {
esetup.py test
}

@ -1,9 +1,9 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy pypy3 )
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy pypy3 )
inherit distutils-r1

@ -1,10 +1,8 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
PYTHON_COMPAT=( python{2_7,3_4} )
#RESTRICT="test"
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
inherit distutils-r1
@ -22,9 +20,8 @@ RDEPEND="
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/nose-exclude-0.1.9[${PYTHON_USEDEP}] )
"
>=dev-python/nose-exclude-0.1.9[${PYTHON_USEDEP}] )"
python_test() {
nosetests || die "Tests fail with ${EPYTHON}"
esetup.py nosetests
}

@ -1,9 +1,9 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_4 )
PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
inherit distutils-r1
@ -18,3 +18,7 @@ IUSE=""
DEPEND=""
RDEPEND="${DEPEND}"
python_test() {
"${PYTHON}" -m unittest discover || die "Tests fail with ${EPYTHON}"
}

@ -1,2 +1,3 @@
DIST diagnostics-1.8.10.tar.gz 525999 SHA256 9f2c6012f60e55e7735ba2d08dbc9bcd96f09ca9d3df223a0f1966bdab454dea SHA512 a3719b1cb745e376bbff55c483c92916588b4548c0c7b57cad299d3b748ca278a2d6b1a874168dd489b60a6dbc2250b40db1c55b54a4043de1b5c3ce3c8a5513 WHIRLPOOL 405f0f5d69c2cfb83c234dc953240d6dfcff1a296330f05b411d1d8219a7023e588fe1fb331862bf2f04c8e6f34238655f2ca25bc968afd7c639fa5598ce663a
DIST diagnostics-1.8.9.tar.gz 525881 SHA256 d6102e9b1b98b5f3909a00694b1e3b856d69cdb9fd6b332f4320adf574e3a4a8 SHA512 2d9e2bcccf474ae8d30adbf0c5571d491cf3d8757732be5fcf1139ceb5fe40a4e83542e7e248cc94ca963056cd18f55c71df7108e26fc4d4e07efbf3611c3d80 WHIRLPOOL 914941b8c688ffaf22268832355d7d9d262d572b5fd1b3b48bbfbefb21240572830d81fb9aebcf252b8be99461cc404f106f3918210de7af49471ca1f244c568
DIST diagnostics-1.9.0.tar.gz 528593 SHA256 9cd6f439e55195b482b9702369514dde25865a256f3059eb7f475da7ddd483d6 SHA512 98086feb84939108a959b36a3f59a7c52b4413ceb57d5c3c393db98dfad4c5f1572f584248293502a27619db706a585ebe0cb98c4af0b8681d6d78be0e1c022c WHIRLPOOL 2d54da752f0cf194082d7e2cab863e744bda0b4b4a01e618c0d57f8c3bf8991441682c3554a2957265bbe3f247dccabb4f9a17852b7a4b26257fa68120b28e74

@ -0,0 +1,27 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
inherit ros-catkin
DESCRIPTION="Aggregates ROS diagnostics"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="
dev-ros/diagnostic_msgs[${CATKIN_MESSAGES_CXX_USEDEP}]
dev-ros/pluginlib
dev-ros/roscpp
dev-ros/rospy
dev-ros/rostest
dev-ros/xmlrpcpp
dev-ros/bondcpp
dev-libs/boost:=
"
DEPEND="${RDEPEND}
test? ( dev-ros/rostest )"

@ -1,3 +1,4 @@
DIST diagnostics-1.8.10.tar.gz 525999 SHA256 9f2c6012f60e55e7735ba2d08dbc9bcd96f09ca9d3df223a0f1966bdab454dea SHA512 a3719b1cb745e376bbff55c483c92916588b4548c0c7b57cad299d3b748ca278a2d6b1a874168dd489b60a6dbc2250b40db1c55b54a4043de1b5c3ce3c8a5513 WHIRLPOOL 405f0f5d69c2cfb83c234dc953240d6dfcff1a296330f05b411d1d8219a7023e588fe1fb331862bf2f04c8e6f34238655f2ca25bc968afd7c639fa5598ce663a
DIST diagnostics-1.8.8.tar.gz 508404 SHA256 e50eb7d49fd2ce13ce8bccb81cb67c198119d7524b3aada37035c8ab9fe2d3ec SHA512 f0e59442cf4cd277c1ef77e7bceec973a15519c9d81bbde21851592ba52c4c7d55a6358c6a65004490b3e3822a6edc772f20e41992a2b3604d9e64e9fd7124ef WHIRLPOOL 32c8fbdc6591abfd270c1c38aebc5dc8f5d7381e5675f6f50f07be0f433bc5a8b81ac33c438d56e753cb75c6914c8fd4c38d9cc82c720fb04b170b4afef597cb
DIST diagnostics-1.8.9.tar.gz 525881 SHA256 d6102e9b1b98b5f3909a00694b1e3b856d69cdb9fd6b332f4320adf574e3a4a8 SHA512 2d9e2bcccf474ae8d30adbf0c5571d491cf3d8757732be5fcf1139ceb5fe40a4e83542e7e248cc94ca963056cd18f55c71df7108e26fc4d4e07efbf3611c3d80 WHIRLPOOL 914941b8c688ffaf22268832355d7d9d262d572b5fd1b3b48bbfbefb21240572830d81fb9aebcf252b8be99461cc404f106f3918210de7af49471ca1f244c568
DIST diagnostics-1.9.0.tar.gz 528593 SHA256 9cd6f439e55195b482b9702369514dde25865a256f3059eb7f475da7ddd483d6 SHA512 98086feb84939108a959b36a3f59a7c52b4413ceb57d5c3c393db98dfad4c5f1572f584248293502a27619db706a585ebe0cb98c4af0b8681d6d78be0e1c022c WHIRLPOOL 2d54da752f0cf194082d7e2cab863e744bda0b4b4a01e618c0d57f8c3bf8991441682c3554a2957265bbe3f247dccabb4f9a17852b7a4b26257fa68120b28e74

@ -0,0 +1,24 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
PYTHON_COMPAT=( python2_7 )
inherit ros-catkin
DESCRIPTION="Converts diagnostics data into a series of CSV files"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="
dev-ros/diagnostic_msgs[${CATKIN_MESSAGES_PYTHON_USEDEP}]
dev-ros/roslib[${PYTHON_USEDEP}]
dev-ros/rosbag[${PYTHON_USEDEP}]
dev-ros/rostest[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
test? ( dev-python/nose[${PYTHON_USEDEP}] )"

@ -1,3 +1,4 @@
DIST diagnostics-1.8.10.tar.gz 525999 SHA256 9f2c6012f60e55e7735ba2d08dbc9bcd96f09ca9d3df223a0f1966bdab454dea SHA512 a3719b1cb745e376bbff55c483c92916588b4548c0c7b57cad299d3b748ca278a2d6b1a874168dd489b60a6dbc2250b40db1c55b54a4043de1b5c3ce3c8a5513 WHIRLPOOL 405f0f5d69c2cfb83c234dc953240d6dfcff1a296330f05b411d1d8219a7023e588fe1fb331862bf2f04c8e6f34238655f2ca25bc968afd7c639fa5598ce663a
DIST diagnostics-1.8.8.tar.gz 508404 SHA256 e50eb7d49fd2ce13ce8bccb81cb67c198119d7524b3aada37035c8ab9fe2d3ec SHA512 f0e59442cf4cd277c1ef77e7bceec973a15519c9d81bbde21851592ba52c4c7d55a6358c6a65004490b3e3822a6edc772f20e41992a2b3604d9e64e9fd7124ef WHIRLPOOL 32c8fbdc6591abfd270c1c38aebc5dc8f5d7381e5675f6f50f07be0f433bc5a8b81ac33c438d56e753cb75c6914c8fd4c38d9cc82c720fb04b170b4afef597cb
DIST diagnostics-1.8.9.tar.gz 525881 SHA256 d6102e9b1b98b5f3909a00694b1e3b856d69cdb9fd6b332f4320adf574e3a4a8 SHA512 2d9e2bcccf474ae8d30adbf0c5571d491cf3d8757732be5fcf1139ceb5fe40a4e83542e7e248cc94ca963056cd18f55c71df7108e26fc4d4e07efbf3611c3d80 WHIRLPOOL 914941b8c688ffaf22268832355d7d9d262d572b5fd1b3b48bbfbefb21240572830d81fb9aebcf252b8be99461cc404f106f3918210de7af49471ca1f244c568
DIST diagnostics-1.9.0.tar.gz 528593 SHA256 9cd6f439e55195b482b9702369514dde25865a256f3059eb7f475da7ddd483d6 SHA512 98086feb84939108a959b36a3f59a7c52b4413ceb57d5c3c393db98dfad4c5f1572f584248293502a27619db706a585ebe0cb98c4af0b8681d6d78be0e1c022c WHIRLPOOL 2d54da752f0cf194082d7e2cab863e744bda0b4b4a01e618c0d57f8c3bf8991441682c3554a2957265bbe3f247dccabb4f9a17852b7a4b26257fa68120b28e74

@ -0,0 +1,24 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
PYTHON_COMPAT=( python2_7 )
inherit ros-catkin
DESCRIPTION="Generic nodes for monitoring a linux host"
LICENSE="BSD"
SLOT="0"
IUSE=""
DEPEND="
dev-ros/diagnostic_updater[${PYTHON_USEDEP}]
dev-ros/roslib[${PYTHON_USEDEP}]
dev-ros/rospy[${PYTHON_USEDEP}]
dev-ros/tf[${PYTHON_USEDEP}]
"
RDEPEND="${DEPEND}
app-admin/hddtemp"

@ -1,3 +1,4 @@
DIST diagnostics-1.8.10.tar.gz 525999 SHA256 9f2c6012f60e55e7735ba2d08dbc9bcd96f09ca9d3df223a0f1966bdab454dea SHA512 a3719b1cb745e376bbff55c483c92916588b4548c0c7b57cad299d3b748ca278a2d6b1a874168dd489b60a6dbc2250b40db1c55b54a4043de1b5c3ce3c8a5513 WHIRLPOOL 405f0f5d69c2cfb83c234dc953240d6dfcff1a296330f05b411d1d8219a7023e588fe1fb331862bf2f04c8e6f34238655f2ca25bc968afd7c639fa5598ce663a
DIST diagnostics-1.8.8.tar.gz 508404 SHA256 e50eb7d49fd2ce13ce8bccb81cb67c198119d7524b3aada37035c8ab9fe2d3ec SHA512 f0e59442cf4cd277c1ef77e7bceec973a15519c9d81bbde21851592ba52c4c7d55a6358c6a65004490b3e3822a6edc772f20e41992a2b3604d9e64e9fd7124ef WHIRLPOOL 32c8fbdc6591abfd270c1c38aebc5dc8f5d7381e5675f6f50f07be0f433bc5a8b81ac33c438d56e753cb75c6914c8fd4c38d9cc82c720fb04b170b4afef597cb
DIST diagnostics-1.8.9.tar.gz 525881 SHA256 d6102e9b1b98b5f3909a00694b1e3b856d69cdb9fd6b332f4320adf574e3a4a8 SHA512 2d9e2bcccf474ae8d30adbf0c5571d491cf3d8757732be5fcf1139ceb5fe40a4e83542e7e248cc94ca963056cd18f55c71df7108e26fc4d4e07efbf3611c3d80 WHIRLPOOL 914941b8c688ffaf22268832355d7d9d262d572b5fd1b3b48bbfbefb21240572830d81fb9aebcf252b8be99461cc404f106f3918210de7af49471ca1f244c568
DIST diagnostics-1.9.0.tar.gz 528593 SHA256 9cd6f439e55195b482b9702369514dde25865a256f3059eb7f475da7ddd483d6 SHA512 98086feb84939108a959b36a3f59a7c52b4413ceb57d5c3c393db98dfad4c5f1572f584248293502a27619db706a585ebe0cb98c4af0b8681d6d78be0e1c022c WHIRLPOOL 2d54da752f0cf194082d7e2cab863e744bda0b4b4a01e618c0d57f8c3bf8991441682c3554a2957265bbe3f247dccabb4f9a17852b7a4b26257fa68120b28e74

@ -0,0 +1,25 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
PYTHON_COMPAT=( python2_7 )
inherit ros-catkin
DESCRIPTION="Tools for updating diagnostics"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="
dev-ros/diagnostic_msgs[${CATKIN_MESSAGES_CXX_USEDEP},${CATKIN_MESSAGES_PYTHON_USEDEP}]
dev-ros/std_msgs[${CATKIN_MESSAGES_CXX_USEDEP},${CATKIN_MESSAGES_PYTHON_USEDEP}]
dev-ros/roscpp
dev-ros/rostest[${PYTHON_USEDEP}]
dev-ros/std_msgs[${PYTHON_USEDEP}]
"
DEPEND="${RDEPEND}
test? ( dev-cpp/gtest dev-ros/rostest[${PYTHON_USEDEP}] )"

@ -1,2 +1,3 @@
DIST filters-1.7.5.tar.gz 18547 SHA256 6632c8bc2f3c47db6f69d136ccf58a1963ac0c83f5f542173caaebd2c7086160 SHA512 79ed89687b2731542186b06edd6ed7d589e9935f5188052995bbcaf15c79cc9232f788056554768f84487cdb1760eb7f73e65077c2226694a93f0f96b0a6ebcb WHIRLPOOL 797a5841cee8bcba755210a93fd9838af0b84fd0fd3dd6e1e90d1fa9d7b2bec46c1cf5e7b53a3c98a531d29a6df9518eecbf562aa8e934390981cbf876fb5e9e
DIST filters-1.8.0.tar.gz 18793 SHA256 7b748ec37301feab00c10c18b8f1557d1e65d2a059452b80bb495b2e88015575 SHA512 e0cb958b52e987a8dfefcd9572a5cff732621b9ed94910b142c8106246cdda8344466ed533fbeafcf9250e66ef81f25374330e16ee58cef8eb2eb1f0bfe50f86 WHIRLPOOL 8170c268d38fd00ef5760a8a671eea2979ee4c2cbc2b99fde875bdb58a418dcb08bfd85c30b96ce29e0a69e30992eb022d31b972b0294645f100523aba9992a0
DIST filters-1.8.1.tar.gz 18815 SHA256 647958f9eba1cb304fe0e7899c3ee884b3b748720a41afb1c509ac8badf610c2 SHA512 3fd6fc649d64a982b5cf4841c9556413508c0648952c008af623970ab44cd4147c3d7e0ecee9963ebc097b8e2db48b5a40810519d838b862d30f07a88ba06194 WHIRLPOOL 34c54edb3260509bd6c0c4f6e0d953f8bcc87977c5474ac9b1787c430336691345ef3fd1f3831b6bae9e5fef7781dcb6c1c6dc087088c460ae12834624f48389

@ -0,0 +1,20 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/filters"
KEYWORDS="~amd64 ~arm"
inherit ros-catkin
DESCRIPTION="Standardized interface for processing data as a sequence of filters"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="dev-ros/roscpp
dev-libs/boost:=[threads]
dev-ros/pluginlib"
DEPEND="${RDEPEND}
test? ( dev-ros/rostest dev-cpp/gtest )"

@ -1 +1,2 @@
DIST perception_pcl-1.4.1.tar.gz 66440 SHA256 7400179978c8314210bb770979246e7583274229044085452a20d6cc22507776 SHA512 550300f1bd7bb718371b9725f9d48f4337e6d7175bdfc4a8a116a17da24609a363c804f11224efde6c9f62a6cca648425872017e9a90371a34f808c305f50f50 WHIRLPOOL 46eb7d4234471b6c63f4d4dd195dfcd6b3615ff308386bc9c0dda7cc2c50daebc9019aa0411521594ab1381b83ea32a6a5bbcc76470e7b3e7d09b554f63f91af
DIST perception_pcl-1.5.1.tar.gz 66945 SHA256 1ec472e95080f3356d56fd69e66ff21b6eb4324f86df2228a472b3e4c4b3255d SHA512 d7fd77e8afeccd45226404c57a267af19b0c98cb61123bdb1b1330fc3833b6bc1a72e775a3eba6a6f8df212af23328894617cf45a4c028278ef408a1d0ef74ce WHIRLPOOL 7b88be3822019ccd8113bd5ad94d54a4848135dbd0b7bb84ff8ef9f727f230453545de6074fc1afb0a6892c4cf8256194dfd2129b5102aad7f0f70c65cf46614

@ -0,0 +1,38 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros-perception/perception_pcl"
KEYWORDS="~amd64 ~arm"
PYTHON_COMPAT=( python2_7 )
ROS_SUBDIR=${PN}
inherit ros-catkin
DESCRIPTION="PCL (Point Cloud Library) ROS interface stack"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="
dev-ros/roscpp
dev-ros/rosbag
dev-ros/rosconsole
dev-ros/roslib
dev-ros/dynamic_reconfigure[${PYTHON_USEDEP}]
>=dev-cpp/eigen-3.2.5:3
dev-ros/pluginlib
dev-ros/tf
dev-ros/tf2
dev-ros/tf2_ros
dev-ros/tf2_eigen
dev-ros/nodelet
dev-ros/nodelet_topic_tools
sci-libs/pcl:=[qhull]
>=dev-ros/pcl_conversions-0.2.1-r1
dev-libs/boost:=[threads]
dev-ros/pcl_msgs[${CATKIN_MESSAGES_CXX_USEDEP}]
dev-ros/sensor_msgs[${CATKIN_MESSAGES_CXX_USEDEP}]
dev-ros/std_msgs[${CATKIN_MESSAGES_CXX_USEDEP}]
"
DEPEND="${RDEPEND}"

@ -0,0 +1 @@
DIST diagnostics-1.9.0.tar.gz 528593 SHA256 9cd6f439e55195b482b9702369514dde25865a256f3059eb7f475da7ddd483d6 SHA512 98086feb84939108a959b36a3f59a7c52b4413ceb57d5c3c393db98dfad4c5f1572f584248293502a27619db706a585ebe0cb98c4af0b8681d6d78be0e1c022c WHIRLPOOL 2d54da752f0cf194082d7e2cab863e744bda0b4b4a01e618c0d57f8c3bf8991441682c3554a2957265bbe3f247dccabb4f9a17852b7a4b26257fa68120b28e74

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>ros@gentoo.org</email>
<name>Gentoo ROS Project</name>
</maintainer>
<upstream>
<remote-id type="github">ros/diagnostics</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,21 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
inherit ros-catkin
DESCRIPTION="Command to print aggregated diagnostic contents to the command line"
LICENSE="BSD"
SLOT="0"
IUSE=""
DEPEND="
dev-ros/diagnostic_msgs[${CATKIN_MESSAGES_PYTHON_USEDEP}]
dev-ros/rospy[${PYTHON_USEDEP}]
"
RDEPEND="${DEPEND}"

@ -0,0 +1,21 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
inherit ros-catkin
DESCRIPTION="Command to print aggregated diagnostic contents to the command line"
LICENSE="BSD"
SLOT="0"
IUSE=""
DEPEND="
dev-ros/diagnostic_msgs[${CATKIN_MESSAGES_PYTHON_USEDEP}]
dev-ros/rospy[${PYTHON_USEDEP}]
"
RDEPEND="${DEPEND}"

@ -1,3 +1,4 @@
DIST diagnostics-1.8.10.tar.gz 525999 SHA256 9f2c6012f60e55e7735ba2d08dbc9bcd96f09ca9d3df223a0f1966bdab454dea SHA512 a3719b1cb745e376bbff55c483c92916588b4548c0c7b57cad299d3b748ca278a2d6b1a874168dd489b60a6dbc2250b40db1c55b54a4043de1b5c3ce3c8a5513 WHIRLPOOL 405f0f5d69c2cfb83c234dc953240d6dfcff1a296330f05b411d1d8219a7023e588fe1fb331862bf2f04c8e6f34238655f2ca25bc968afd7c639fa5598ce663a
DIST diagnostics-1.8.8.tar.gz 508404 SHA256 e50eb7d49fd2ce13ce8bccb81cb67c198119d7524b3aada37035c8ab9fe2d3ec SHA512 f0e59442cf4cd277c1ef77e7bceec973a15519c9d81bbde21851592ba52c4c7d55a6358c6a65004490b3e3822a6edc772f20e41992a2b3604d9e64e9fd7124ef WHIRLPOOL 32c8fbdc6591abfd270c1c38aebc5dc8f5d7381e5675f6f50f07be0f433bc5a8b81ac33c438d56e753cb75c6914c8fd4c38d9cc82c720fb04b170b4afef597cb
DIST diagnostics-1.8.9.tar.gz 525881 SHA256 d6102e9b1b98b5f3909a00694b1e3b856d69cdb9fd6b332f4320adf574e3a4a8 SHA512 2d9e2bcccf474ae8d30adbf0c5571d491cf3d8757732be5fcf1139ceb5fe40a4e83542e7e248cc94ca963056cd18f55c71df7108e26fc4d4e07efbf3611c3d80 WHIRLPOOL 914941b8c688ffaf22268832355d7d9d262d572b5fd1b3b48bbfbefb21240572830d81fb9aebcf252b8be99461cc404f106f3918210de7af49471ca1f244c568
DIST diagnostics-1.9.0.tar.gz 528593 SHA256 9cd6f439e55195b482b9702369514dde25865a256f3059eb7f475da7ddd483d6 SHA512 98086feb84939108a959b36a3f59a7c52b4413ceb57d5c3c393db98dfad4c5f1572f584248293502a27619db706a585ebe0cb98c4af0b8681d6d78be0e1c022c WHIRLPOOL 2d54da752f0cf194082d7e2cab863e744bda0b4b4a01e618c0d57f8c3bf8991441682c3554a2957265bbe3f247dccabb4f9a17852b7a4b26257fa68120b28e74

@ -0,0 +1,24 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
inherit ros-catkin
DESCRIPTION="Robot self-test node"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="
dev-ros/diagnostic_msgs
dev-ros/diagnostic_updater
dev-ros/roscpp
dev-ros/rostest
dev-libs/boost:=[threads]
"
DEPEND="${RDEPEND}
test? ( dev-ros/rostest )"

@ -1 +1,2 @@
DIST diagnostics-1.8.10.tar.gz 525999 SHA256 9f2c6012f60e55e7735ba2d08dbc9bcd96f09ca9d3df223a0f1966bdab454dea SHA512 a3719b1cb745e376bbff55c483c92916588b4548c0c7b57cad299d3b748ca278a2d6b1a874168dd489b60a6dbc2250b40db1c55b54a4043de1b5c3ce3c8a5513 WHIRLPOOL 405f0f5d69c2cfb83c234dc953240d6dfcff1a296330f05b411d1d8219a7023e588fe1fb331862bf2f04c8e6f34238655f2ca25bc968afd7c639fa5598ce663a
DIST diagnostics-1.9.0.tar.gz 528593 SHA256 9cd6f439e55195b482b9702369514dde25865a256f3059eb7f475da7ddd483d6 SHA512 98086feb84939108a959b36a3f59a7c52b4413ceb57d5c3c393db98dfad4c5f1572f584248293502a27619db706a585ebe0cb98c4af0b8681d6d78be0e1c022c WHIRLPOOL 2d54da752f0cf194082d7e2cab863e744bda0b4b4a01e618c0d57f8c3bf8991441682c3554a2957265bbe3f247dccabb4f9a17852b7a4b26257fa68120b28e74

@ -0,0 +1,25 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/diagnostics"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=${PN}
inherit ros-catkin
DESCRIPTION="diagnostic_aggregator tests"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="
dev-ros/diagnostic_aggregator
dev-ros/diagnostic_msgs
dev-ros/pluginlib
dev-ros/roscpp
dev-ros/rospy
dev-ros/rostest
"
DEPEND="${RDEPEND}"
PATCHES=( "${FILESDIR}/gcc6.patch" )

@ -63,8 +63,10 @@ src_prepare() {
src_compile() {
chmod +x ./generate_build.rb || die
./generate_build.rb > build.sh || die
sed -e 's:^gcc:${CC}:' -e 's:^g++:${CXX}:' -i build.sh || die
chmod +x build.sh || die
./build.sh || die
tc-export CC CXX
bash -e ./build.sh || die
}
src_install() {

@ -1,3 +1,3 @@
DIST clion-143.1186.tar.gz 220702330 SHA256 a2d6960afbfae77f59481c5ad30bc7c5afe9451bdf9d12cd9435f605b57b522b SHA512 d4ea1bad5f3da3bab569380114011798c29e633009867c8020363c9af72326ebaa3232dff9c931a67dd0a0195bf4903647e250963c7aeebe9ad83340c988cbad WHIRLPOOL 2a0855b6a32a5e23a1c7266d7a3dc00ad3ba905c5a8fa6d1e9959d6d4f67c73d35c94bfbe0837fde0d1736bd48dcb9212a219cfa81732cb169abdb1fb5dc4dd7
DIST clion-2016.2.1.tar.gz 287103613 SHA256 444f760740811d0bb135cdd7d1d3a559b4d3247cdabf4eb9f77a21eea8c74805 SHA512 a4734c1b5d544cb7f6bd4752f5853d3c44e123e8ad8584b76098ef51a00261350d49bdd628d08c171f7c04b77862e8f28b5d8f16813c282542f83a16100c7415 WHIRLPOOL 83737f1677fff6870fd4dd717d54126f6680ec7c4966bc4b89f300e1fd327a431a13ceb6b04a52287c89813a7bb0e86ebaddf5c98f0330d595314c465d4a9534
DIST clion-2017.1.tar.gz 294380925 SHA256 00fc023ca56f2781864cddc7bd5c2897d837d1db17dd8f987abe046ed4df3ca5 SHA512 7a52247a6dbf60c64c53dc5c20340ccf789415a941b6306388d849d83ce9e1712255db153cfff5134308e4d7bd862c1d0108fdfe1c5620699b7bffbb1a814cc1 WHIRLPOOL 641d956e12434b198a532ce75eefe3f8edf7c98100aaf99d8e5550becbfdfe6ffa93ae70e88bc14c2f50dd7da8db45132e2092ef7eb429f631189af04c48d536
DIST clion-2017.1.1.tar.gz 294574159 SHA256 9abd6bd38801ae6cf29db2cd133c700e8da11841093de872312fe33ed51309ae SHA512 a8304dd101a4d069209870086fee13b91ea57667509e3267744670e13c1c1a7e7bf296c93f24a1cffe44d6d02c87524236a17e2c40aa22d3fc8c46e462fbbc35 WHIRLPOOL f262a5998b4be35333c636f746c6facd181f84d4c360198a94b53e89cabf559714ddcf2397c6d11bc655f1b22b433933e483063832cc1f4d8c0b45b66dccf0d8

@ -31,9 +31,9 @@ src_prepare() {
local remove_me=(
bin/gdb
bin/cmake
license/GDB*
license/CMake*
bin/cmake
license/GDB*
license/CMake*
plugins/tfsIntegration/lib/native/hpux
plugins/tfsIntegration/lib/native/solaris
)

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save